﻿/*
 Copyright (c) 2011 Seth Juarez

 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ml.Attributes;

namespace ml.Tests.Model
{
    /// <summary>
    /// Data for regression testing
    /// </summary>
    public class StudentGrade
    {
        [Feature]
        public double QuadrupleFriends()
        {
            return 4 * Friends;
        }

        [StringFeature(SplitType=StringType.Character)]
        public string Name { get; set; }

        [Feature]
        public Grade Grade { get; set; }

        [Feature]
        public int Age { get; set; }

        [Feature]
        public bool Tall { get; set; }

        
        public int Friends { get; set; }

        [Feature]
        public bool Nice { get; set; }

        [Label]
        public double GPA { get; set; }

        public static StudentGrade[] GetData()
        {
            return new StudentGrade[] 
            {
                new StudentGrade { Name = "Aidan", Age = 27, Friends = 3, GPA = 0.54, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Amelia", Age = 40, Friends = 7, GPA = 2.60, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Noah", Age = 26, Friends = 0, GPA = 2.39, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Isabella", Age = 21, Friends = 9, GPA = 3.83, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Liam", Age = 19, Friends = 3, GPA = 1.06, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Ava", Age = 16, Friends = 7, GPA = 3.31, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Cayden", Age = 34, Friends = 2, GPA = 1.01, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Sophia", Age = 28, Friends = 13, GPA = 3.33, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Ethan", Age = 21, Friends = 3, GPA = 0.33, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Olivia", Age = 32, Friends = 5, GPA = 3.12, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Jackson", Age = 26, Friends = 0, GPA = 0.47, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Madeline", Age = 40, Friends = 6, GPA = 3.63, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Landon", Age = 24, Friends = 1, GPA = 0.40, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Lily", Age = 26, Friends = 14, GPA = 3.40, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Jacob", Age = 20, Friends = 3, GPA = 1.02, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Abigail", Age = 32, Friends = 6, GPA = 3.10, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Caleb", Age = 37, Friends = 3, GPA = 1.52, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Chloe", Age = 32, Friends = 10, GPA = 3.59, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Lucas", Age = 28, Friends = 2, GPA = 1.66, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Emma", Age = 25, Friends = 13, GPA = 3.30, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Braden", Age = 27, Friends = 2, GPA = 2.09, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Charlotte", Age = 31, Friends = 10, GPA = 3.22, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Benjamin", Age = 26, Friends = 3, GPA = 0.69, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Ella", Age = 38, Friends = 12, GPA = 3.78, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Gavin", Age = 18, Friends = 3, GPA = 1.63, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Addison", Age = 27, Friends = 8, GPA = 3.65, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Connor", Age = 16, Friends = 0, GPA = 1.67, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Elizabeth", Age = 30, Friends = 10, GPA = 2.67, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Elijah", Age = 27, Friends = 1, GPA = 0.68, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Grace", Age = 27, Friends = 7, GPA = 2.54, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Oliver", Age = 24, Friends = 3, GPA = 1.66, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Audrey", Age = 26, Friends = 11, GPA = 3.86, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Alexander", Age = 38, Friends = 2, GPA = 0.17, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Emily", Age = 23, Friends = 13, GPA = 3.83, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Owen", Age = 39, Friends = 2, GPA = 0.73, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Bella", Age = 38, Friends = 12, GPA = 2.90, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Gabriel", Age = 36, Friends = 2, GPA = 2.17, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Hannah", Age = 35, Friends = 12, GPA = 3.11, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Logan", Age = 33, Friends = 2, GPA = 1.44, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Isabelle", Age = 23, Friends = 9, GPA = 3.13, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "William", Age = 40, Friends = 1, GPA = 0.93, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Scarlett", Age = 26, Friends = 14, GPA = 2.84, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Tristan", Age = 37, Friends = 3, GPA = 2.44, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Lila", Age = 32, Friends = 14, GPA = 3.05, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Jayden", Age = 19, Friends = 3, GPA = 1.38, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Arianna", Age = 31, Friends = 12, GPA = 3.31, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Cole", Age = 26, Friends = 0, GPA = 2.21, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Caitlyn", Age = 36, Friends = 7, GPA = 3.08, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Asher", Age = 16, Friends = 2, GPA = 2.16, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Kaylee", Age = 39, Friends = 7, GPA = 3.96, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Jack", Age = 19, Friends = 0, GPA = 1.04, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Keira", Age = 17, Friends = 10, GPA = 2.67, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "James", Age = 33, Friends = 1, GPA = 0.74, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Claire", Age = 22, Friends = 12, GPA = 2.97, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Chase", Age = 28, Friends = 2, GPA = 1.59, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Leah", Age = 39, Friends = 6, GPA = 2.99, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Nathan", Age = 20, Friends = 3, GPA = 1.50, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Layla", Age = 33, Friends = 12, GPA = 3.53, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Andrew", Age = 23, Friends = 0, GPA = 0.38, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Avery", Age = 27, Friends = 5, GPA = 3.51, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Elliot", Age = 36, Friends = 2, GPA = 0.44, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Madison", Age = 39, Friends = 10, GPA = 2.65, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Aaron", Age = 22, Friends = 3, GPA = 1.31, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Natalie", Age = 16, Friends = 13, GPA = 3.50, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Colin", Age = 26, Friends = 3, GPA = 0.14, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Sophie", Age = 34, Friends = 6, GPA = 3.91, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Grayson", Age = 20, Friends = 0, GPA = 1.70, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Payton", Age = 29, Friends = 7, GPA = 3.45, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Mason", Age = 40, Friends = 1, GPA = 0.08, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Hayley", Age = 26, Friends = 13, GPA = 3.83, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Nicholas", Age = 25, Friends = 2, GPA = 2.35, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Violet", Age = 28, Friends = 9, GPA = 3.03, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Joshua", Age = 25, Friends = 0, GPA = 0.85, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Sadie", Age = 24, Friends = 14, GPA = 2.87, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Dylan", Age = 20, Friends = 0, GPA = 1.25, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Lucy", Age = 37, Friends = 7, GPA = 3.33, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Isaac", Age = 37, Friends = 1, GPA = 0.18, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Nora", Age = 19, Friends = 9, GPA = 2.81, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Matthew", Age = 32, Friends = 3, GPA = 2.48, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Alice", Age = 21, Friends = 14, GPA = 3.71, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Levi", Age = 37, Friends = 0, GPA = 0.23, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Cailyn", Age = 35, Friends = 9, GPA = 2.53, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Jasper", Age = 23, Friends = 0, GPA = 1.39, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Savannah", Age = 39, Friends = 10, GPA = 3.06, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Zachary", Age = 24, Friends = 3, GPA = 1.14, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Adrianna", Age = 26, Friends = 13, GPA = 3.11, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Carter", Age = 34, Friends = 3, GPA = 2.22, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Anna", Age = 34, Friends = 14, GPA = 3.94, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Nathaniel", Age = 39, Friends = 0, GPA = 0.19, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Riley", Age = 29, Friends = 5, GPA = 3.32, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Evan", Age = 30, Friends = 1, GPA = 0.81, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Annabelle", Age = 22, Friends = 14, GPA = 3.42, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Sebastian", Age = 25, Friends = 2, GPA = 2.31, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Callie", Age = 30, Friends = 14, GPA = 3.69, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Dominic", Age = 18, Friends = 0, GPA = 0.53, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Paige", Age = 35, Friends = 10, GPA = 3.34, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Wyatt", Age = 20, Friends = 2, GPA = 1.73, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Alexis", Age = 24, Friends = 11, GPA = 2.82, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Henry", Age = 38, Friends = 1, GPA = 0.84, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Mia", Age = 32, Friends = 7, GPA = 3.70, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Ryan", Age = 19, Friends = 3, GPA = 0.03, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Evelyn", Age = 20, Friends = 5, GPA = 2.54, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Michael", Age = 34, Friends = 2, GPA = 1.88, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Kylie", Age = 28, Friends = 6, GPA = 3.09, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Luke", Age = 18, Friends = 0, GPA = 0.72, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Maya", Age = 36, Friends = 10, GPA = 2.55, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Emmett", Age = 26, Friends = 1, GPA = 1.65, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Aurora", Age = 18, Friends = 12, GPA = 3.79, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Ian", Age = 16, Friends = 1, GPA = 2.24, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Zoe", Age = 21, Friends = 13, GPA = 3.92, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Micah", Age = 28, Friends = 3, GPA = 2.48, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Alyssa", Age = 27, Friends = 5, GPA = 3.96, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Finn", Age = 19, Friends = 1, GPA = 0.19, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Juliet", Age = 21, Friends = 7, GPA = 3.30, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Samuel", Age = 23, Friends = 3, GPA = 1.00, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Eva", Age = 36, Friends = 13, GPA = 3.17, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Adam", Age = 40, Friends = 2, GPA = 2.31, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Michaela", Age = 28, Friends = 6, GPA = 3.85, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Xander", Age = 24, Friends = 1, GPA = 2.40, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Vivienne", Age = 40, Friends = 8, GPA = 3.14, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Daniel", Age = 37, Friends = 2, GPA = 2.37, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Ashlyn", Age = 33, Friends = 6, GPA = 4.01, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Seth", Age = 27, Friends = 0, GPA = 1.44, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Gabriella", Age = 21, Friends = 12, GPA = 3.12, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Parker", Age = 20, Friends = 3, GPA = 1.44, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Allison", Age = 21, Friends = 11, GPA = 2.69, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Ryder", Age = 38, Friends = 1, GPA = 0.57, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Cadence", Age = 38, Friends = 5, GPA = 2.71, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Edward", Age = 25, Friends = 0, GPA = 2.29, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Lillian", Age = 39, Friends = 5, GPA = 3.65, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Xavier", Age = 28, Friends = 2, GPA = 0.89, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Stella", Age = 16, Friends = 9, GPA = 3.57, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Max", Age = 35, Friends = 3, GPA = 0.61, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Sarah", Age = 29, Friends = 7, GPA = 3.41, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Damien", Age = 28, Friends = 1, GPA = 0.69, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Caroline", Age = 28, Friends = 6, GPA = 2.77, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Jonah", Age = 18, Friends = 3, GPA = 0.93, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Sienna", Age = 19, Friends = 11, GPA = 2.52, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Miles", Age = 21, Friends = 2, GPA = 0.38, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Lauren", Age = 26, Friends = 11, GPA = 3.29, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Adrian", Age = 17, Friends = 0, GPA = 1.70, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Aubrey", Age = 31, Friends = 11, GPA = 3.47, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Tyler", Age = 26, Friends = 0, GPA = 2.09, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Autumn", Age = 24, Friends = 6, GPA = 3.31, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Christopher", Age = 25, Friends = 2, GPA = 1.68, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Aaliyah", Age = 33, Friends = 6, GPA = 3.81, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Isaiah", Age = 37, Friends = 3, GPA = 2.37, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Victoria", Age = 28, Friends = 9, GPA = 3.98, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Carson", Age = 32, Friends = 0, GPA = 1.62, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Ruby", Age = 34, Friends = 8, GPA = 3.13, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Eli", Age = 40, Friends = 2, GPA = 0.32, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Catherine", Age = 36, Friends = 10, GPA = 2.51, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Thomas", Age = 21, Friends = 1, GPA = 0.82, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Alexandra", Age = 23, Friends = 11, GPA = 2.87, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Holden", Age = 17, Friends = 3, GPA = 1.66, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Samantha", Age = 26, Friends = 9, GPA = 3.89, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Hayden", Age = 23, Friends = 1, GPA = 1.97, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Bailey", Age = 19, Friends = 12, GPA = 2.87, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "David", Age = 17, Friends = 0, GPA = 2.06, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Harper", Age = 25, Friends = 8, GPA = 3.39, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Cameron", Age = 40, Friends = 2, GPA = 2.39, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Jillian", Age = 38, Friends = 10, GPA = 3.28, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Joseph", Age = 20, Friends = 1, GPA = 1.92, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Mackenzie", Age = 26, Friends = 8, GPA = 2.83, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Austin", Age = 38, Friends = 2, GPA = 1.63, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Alexa", Age = 19, Friends = 12, GPA = 3.37, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Hunter", Age = 26, Friends = 1, GPA = 0.42, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Esme", Age = 38, Friends = 10, GPA = 3.24, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Colton", Age = 28, Friends = 1, GPA = 1.34, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Gabrielle", Age = 33, Friends = 8, GPA = 2.51, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Brody", Age = 40, Friends = 0, GPA = 1.00, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Lydia", Age = 20, Friends = 7, GPA = 2.65, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Blake", Age = 22, Friends = 2, GPA = 1.25, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Kayla", Age = 37, Friends = 14, GPA = 4.06, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Rhys", Age = 35, Friends = 3, GPA = 1.69, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Rosalie", Age = 39, Friends = 8, GPA = 3.40, Grade = Grade.C, Tall = false, Nice = true},
				new StudentGrade { Name = "Gage", Age = 35, Friends = 3, GPA = 1.07, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Zoey", Age = 25, Friends = 9, GPA = 4.10, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Jonathan", Age = 32, Friends = 0, GPA = 1.72, Grade = Grade.D, Tall = false, Nice = false},
				new StudentGrade { Name = "Brianna", Age = 35, Friends = 9, GPA = 2.66, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Riley", Age = 23, Friends = 1, GPA = 0.61, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Isla", Age = 22, Friends = 5, GPA = 3.55, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Joel", Age = 40, Friends = 1, GPA = 1.15, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Taylor", Age = 18, Friends = 11, GPA = 3.64, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Brandon", Age = 31, Friends = 0, GPA = 1.16, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Brooke", Age = 25, Friends = 9, GPA = 2.72, Grade = Grade.C, Tall = true, Nice = true},
				new StudentGrade { Name = "Jude", Age = 17, Friends = 0, GPA = 1.44, Grade = Grade.F, Tall = true, Nice = false},
				new StudentGrade { Name = "Adalyn", Age = 18, Friends = 9, GPA = 2.66, Grade = Grade.B, Tall = true, Nice = true},
				new StudentGrade { Name = "Jason", Age = 32, Friends = 1, GPA = 1.03, Grade = Grade.C, Tall = true, Nice = false},
				new StudentGrade { Name = "Lorelei", Age = 26, Friends = 8, GPA = 4.04, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "Anthony", Age = 28, Friends = 3, GPA = 0.89, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Julia", Age = 21, Friends = 8, GPA = 3.86, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Nolan", Age = 34, Friends = 1, GPA = 1.86, Grade = Grade.F, Tall = false, Nice = false},
				new StudentGrade { Name = "Reagan", Age = 34, Friends = 7, GPA = 3.71, Grade = Grade.B, Tall = false, Nice = true},
				new StudentGrade { Name = "Cooper", Age = 37, Friends = 2, GPA = 1.13, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Faith", Age = 23, Friends = 9, GPA = 2.63, Grade = Grade.A, Tall = true, Nice = true},
				new StudentGrade { Name = "Maddox", Age = 21, Friends = 3, GPA = 2.30, Grade = Grade.D, Tall = true, Nice = false},
				new StudentGrade { Name = "Sydney", Age = 39, Friends = 7, GPA = 2.64, Grade = Grade.A, Tall = false, Nice = true},
				new StudentGrade { Name = "John", Age = 22, Friends = 1, GPA = 1.17, Grade = Grade.C, Tall = false, Nice = false},
				new StudentGrade { Name = "Jasmine", Age = 20, Friends = 8, GPA = 2.53, Grade = Grade.B, Tall = false, Nice = true},
			};
        }
    }
}
