﻿/*
 Copyright (c) 2011 Seth Juarez

 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/

using System;
using ml.Attributes;

namespace MachineLearningDemo.Data
{
    public class Feed
    {
        public string Source { get; set; }

        [StringFeature(SplitType = StringType.Word, ExclusionFile = @"C:\MLTests\stopwords.txt")]
        public string Content { get; set; }

        public int Cluster { get; set; }

        public static Feed[] GetData()
        {
            return new Feed[]
            {
                new Feed { Source="Huffington Post", Content="Texas Board Of Education Approves Resolution To Limit Islam References AUSTIN Texas  The Texas State Board of Education adopted a resolution Friday that seeks to curtail references to Islam in Texas textbooks as social conservative board members warned of what they describe as a creeping Middle Eastern influence in the nations publishing industry.The board approved the one-page nonbinding resolution which urges textbook publishers to limit what they print about Islam in world history books by a 7-5 vote." },
				new Feed { Source="Huffington Post", Content="Young Christians Seek Intentional Community Among Poor By Steve BeavenReligion News ServiceGRESHAM Ore. (RNS) In the two years since David Knepprath and Josh Guisinger moved into the rough-and-tumble Barberry Village complex roughly a dozen young Christian men and women have made Barberry Village their home." },
				new Feed { Source="Huffington Post", Content="Eddie Longs Youth Academy Preached Sexual Control ATLANTA mdash Bishop Eddie Longs boys academy guided teens through their masculine journey with lessons on financial discipline and sexual control right down to a little card the students had to carry in their wallets reminding them why they shouldnt have sex.Long himself though has been accused of contradicting those virtues. The bishop ndash whos been an outspoken opponent of gay marriage in the past ndash is being sued by two young men who attended the LongFellows Youth Academy and say Long used the program to groom them for sexual relationships." },
				new Feed { Source="Huffington Post", Content="Elizabeth Engel 2010 NFL Week 3 Picks Seriously people hold on to your hats. Jamal Jackson and Leonard Weaver are out for the season. Mike McGlynns the center. The O-line is in..." },
				new Feed { Source="Huffington Post", Content="Afghan Elections See Widespread Fraud KABUL Afghanistan -- Evidence is mounting that fraud in last weekends parliamentary election was so widespread that it could affect the results in a third of provinces calling into question the credibility of a vote that was an important test of the American and Afghan effort to build a stable and legitimate government. Read More...More on Afghan Election" },
				new Feed { Source="Huffington Post", Content="Spotlight On Lori Fields Fantastical Layered Drawings On View In NYC WHO Lori FieldWHEN September 9 - October 7 2010WHERE Claire Oliver GalleryRead More..." },
				new Feed { Source="Huffington Post", Content="As Ahmadinejad Returns to the U.S. 125 Artists Rally for Iran Over a year after protests erupted throughout Iran following its presidential election the country is anything but quiet. This week another wave of unrest spread throughout Tehran due to threats made to reformist leaders. The turmoil can be seen here in the U.S. as President Mahmoud Ahmadinejad is scheduled to speak at the UN General Assembly on Thursday already sparking protests in New York.Read More...More on Iran" },
				new Feed { Source="Huffington Post", Content="Highlights This Week Crystals Cowboys and the Death of Conceptualism This week on Huff Post Arts John Waters dished on all things perverse we curated our ten highlights from the Guggenheim Museums Youtube Play Biennial and Marina Cashdan spoke to Lewis Biggs about whats what at the Liverpool Biennial.  What were you doing that made you miss all that Read More...More on YouTube" },
				new Feed { Source="Huffington Post", Content="Scott Mendelson Huff Post Review Let Me In (2010) Let Me In 2010 115 minutes rated ROpens nationwide from Overture on October 1st. by Scott Mendelson Let Me In is a fine motion picture..." },
				new Feed { Source="Huffington Post", Content="PHOTOS 30 Days In Muslim America Our Ramadan road trip this year drew much interest from big media thanks to the Ground Zero Mosque controversy and Terry Jones Quran-burning fiasco. It was unsettling to sit through interview after interview fielding questions about mosque construction and the state of the American Muslim community. Every TV interview eventually veered into Islam on trial territory and we were the ones defending it. Aman and I became Ambassador Muslim. It sucked....But Ill miss every other part of our 30-day adventure. Its been two weeks since weve been back and already I miss the road the people we met and the America I experienced.Read More..." },
				new Feed { Source="Huffington Post", Content="HuffPost TV Arianna Dem Punt On Tax Cuts Shows Inability To Govern Arianna appeared on MSNBCs Countdown Friday night to discuss the flight of congressional Democrats from a vote on an extension of middle-class tax cuts that..." },
				new Feed { Source="Huffington Post", Content="Kabir Helminski Does the Quran Really Sanction Violence Against Unbelievers The exhortations to fight idolaters and unbelievers are specific in nature and are not general injunctions for the murder of all those who refuse to accept Islam as their way of life." },
				new Feed { Source="Huffington Post", Content="Eddie Long Atlanta Bishop Accused Of Sexual Abuse By 4th Male Parishioner ATLANTA mdash A fourth young male member of Bishop Eddie Longs megachurch is suing the prominent pastor claiming Long coerced him into a sexual relationship.The lawsuit was filed by Spencer LeGrande a member of New Birth Charlotte. New Birth Charlotte is a satellite church run by Long in Charlotte N.C. The lawsuit said Long told LeGrande I will be your dad and invited the 17-year-old to journey to Kenya with him in July 2005. LeGrande said that Long gave him a sleeping pill on that trip and that the two engaged in sexual acts.Read More..." },
				new Feed { Source="Huffington Post", Content="Anisette Brasserie Closes Its Doors Unfortunately we called it. In an additional bout of shutter news months and months after rumors swirled that Alain Girauds Anisette Brasserie was about to call it quits his PR team has issues the following statement    It is with much regret that I inform you that Anisette Brasserie has closed its doors permanently today. After 2 years of successful operation in Santa Monica restaurant management has decided that it is no longer a viable business and therefore must close its doors. Read More..." },
				new Feed { Source="Huffington Post", Content="Chris Weigant Friday Talking Points 140 -- Pledging Nonsense The White House has been in the news this past week mostly for who will be leaving it soon. One is tempted to insert the..." },
				new Feed { Source="Politico", Content="CNN finally has an answer for critics CNNU.S. President Jon Klein seemed to be riding out the criticism until he was replaced." },
				new Feed { Source="Politico", Content="Bill Clinton The sequel Hes successfully built himself into a global brand with approval ratings higher than Obama Bush." },
				new Feed { Source="Politico", Content="Sunday talk show tip sheet House Minority Leader John Boehner and other top Republicans take to Sundays television programs." },
				new Feed { Source="Politico", Content="Colbert knocks Dems off message The comedian delivers a punch-lined discourse on his chief qualification as an immigration expert." },
				new Feed { Source="Politico", Content="GOPs big money men return Ten of the top conservative donors have contributed 19 million since Obama took office." },
				new Feed { Source="Politico", Content="Pelosi glad Colbert came to testify But she didnt see comedians full testimony." },
				new Feed { Source="Politico", Content="Axe Plouffe to W.H. sooner than later The strategist could be headed to the White House." },
				new Feed { Source="Politico", Content="Ex-PMA lobbyist pleads guilty He admits to illegally funneling nearly 400000 in corporate campaign contributions to lawmakers." },
				new Feed { Source="Politico", Content="Reid preps war against Republicans The Senate majority leader will conduct mandatory attendance call Monday night." },
				new Feed { Source="Politico", Content="Obama It matters to the world President Obama makes an impassioned plea for peace in Sudan saying the stakes are enormous." },
				new Feed { Source="Politico", Content="Some candidates tepid on Pledge Republican leaders are even advising candidates to take their own approach to the proposal." },
				new Feed { Source="Politico", Content="Prosecutor DoJ bias against whites He says a case against the New Black Panther Party shows a lack of race neutrality in civil rights law." },
				new Feed { Source="Politico", Content="Palin remarks seen as escape hatch Sarah Palin inches closer than ever toward outlining her presidential ambitions." },
				new Feed { Source="Politico", Content="Rating the GOP Pledge promises POLITICO rates the odds of success." },
				new Feed { Source="Politico", Content="Top aides regret to Orszag Several top White House staffers have RSVPd no to the former budget directors wedding." },
				new Feed { Source="Politico", Content="Dems punt tax vote to lame duck They wont take up the extension in the Senate." },
				new Feed { Source="Politico", Content="Dems push back with torrent of polls Dems release polling data countering the talk that GOP candidates have the majority in their grasp." },
				new Feed { Source="Politico", Content="Sanchez Vietnamese after my seat The Dem lawmaker is drawing criticism for a Spanish-language interview she gave." },
				new Feed { Source="Politico", Content="W.H. girds for staff shake-up Axelrod will be around for a while." },
				new Feed { Source="Politico", Content="Castle will test waters with poll He wants to see his chances as a write-in candidate." },
				new Feed { Source="Politico", Content="Pew Independents now for GOP Nearly as many now favor Republicans as voted for Obama in 2008." },
				new Feed { Source="Politico", Content="Senate sparks disorder in court Democrats complain that Republicans are needlessly blocking Obamas lower-court nominees." },
				new Feed { Source="Politico", Content="Napolitano reaches out to McCain After sparring with the Arizona Republican over border security the secretary offers to brief him." },
				new Feed { Source="Politico", Content="Panel may rethink Agent Orange law The legislation has governed two decades of disability claims from the Vietnam War." },
				new Feed { Source="Politico", Content="Hoffman concedes   8212 sort of The upstate New York House district is headed for another contentious race in November." },
				new Feed { Source="Politico", Content="Small-business bill clears Congress The legislation makes billions in credit and tax breaks available to entrepreneurs." },
				new Feed { Source="Politico", Content="Landrieu blocks Obama OMB pick Louisiana Dem holds out for offshore drilling." },
				new Feed { Source="Politico", Content="Study Campaign sexism hits its mark Sexist language in attack ads causes support for female pols to plummet researchers find." },
				new Feed { Source="Politico", Content="Campaign finance bill fails again Senate Republicans block a second attempt to open debate on the legislation." },
				new Feed { Source="Politico", Content="Latino Dems should rethink loyalty Opinion Obamas stimulus favored Wall Street unions and universities -- not Latinos." },
				new Feed { Source="Fox News", Content="Trouble on Mideast Front Clinton Scrambles to Save Talks Secretary of State Hillary Clinton meets with Palestinian President Abbas shown on right in photo shaking hands last week with Israels Netanyahu 8212 as the Obama administration enacts furious last-chance diplomacy to prevent Israeli-Palestinian peace talks from failing this weekend." },
				new Feed { Source="Fox News", Content="Is Criticism of Islam New Front in P.C. War Mere act of criticizing Islam is now condemned as hate speech one media analyst says citing the cases of former Harvard professor Marty Peretz and others lambasted for their remarksOPINION Is Koran-Burning Protected Free Speech Actress Converts to Islam" },
				new Feed { Source="Fox News", Content="Shoddy Accounting at ACORN Offshoot Official report released this week says an ACORN offshoot group cannot properly account for how it has spent millions of federal dollars and recommends that the group repay the government and be put on standby mode until it cleans up its act" },
				new Feed { Source="Fox News", Content="GOP Dems Feud Over Offshore Jobs Bill" },
				new Feed { Source="Fox News", Content="FBI Robbers Abduct Bank Teller at Florida Home" },
				new Feed { Source="Fox News", Content="Judge Orders Lesbian Reinstated to Air Force-  U.S. Forces Killed in Chopper Crash" },
				new Feed { Source="Fox News", Content="Texas to Publishers Less Islam Please- FULL COVERAGE Texas Textbook Debate" },
				new Feed { Source="Fox News", Content="Ad Aims to Change Image of Mormons" },
				new Feed { Source="Fox News", Content="A Longshot Loves Scandals in Chicago" },
				new Feed { Source="Fox News", Content="Pelosi Tax Cuts Vote Possible Before Election" },
				new Feed { Source="Fox News", Content="Diplomats Death May Have Been Self-Inflicted" },
				new Feed { Source="Fox News", Content="Outside the Beltway Listening to America" },
				new Feed { Source="Fox News", Content="Brawl Erupts After Reid Angle School Debate" },
				new Feed { Source="Fox News", Content="Lisa Becomes Hurricane Over Open Atlantic" },
				new Feed { Source="Fox News", Content="Not All Laughs at Colberts Capitol Shtick- YOU DECIDE Appropriate" },
				new Feed { Source="Fox News", Content="Conflicting Polls Confound N.Y. Gov. Race- OPINION Polls Push Cuomo to Pounce" },
				new Feed { Source="Fox News", Content="Official Black Panther Dismissal a Travesty" },
				new Feed { Source="Fox News", Content="Lohan Heading Back to Jail Lohan denied bail taken away in handcuffs following failed drug test   Is Lindsay Using Little Sis" },
				new Feed { Source="Fox News", Content="Your TVsNew Best Friend This little box lets you easily stream tons of online entertainment from the Internet to your TV. We test drive the latest model  Start Your Christmas List Now" },
				new Feed { Source="Fox News", Content="Stars Who Lost Their Looks Madonna went from a sexy bombshell singer to looking like she needs to lay off the surgery. Check out the other stars to whom Father Time was not so kind" },
				new Feed { Source="Fox News", Content="Eddie Fisher Dead at 82 Fisher whose huge fame as a pop singer was overshadowed by scandals ending his marriages to Debbie Reynolds and Elizabeth Taylor dies in Los Angeles" },
				new Feed { Source="Fox News", Content="Friend ... or Addict University imposes weeklong blackout on social media finds students cant handle life without Facebook Twitter and instant messaging  Social Medias Failed Week" },
				new Feed { Source="Fox News", Content="Bottoms Up for Bourbon September is Bourbon Heritage Month and since October is approaching in a hurry theres precious little time left to celebrate the heady elixir" },
				new Feed { Source="Fox News", Content="Best of the Week From designing a new logo for the Dems to remaking classic TV shows here are YOUR best submissions this week" },
				new Feed { Source="For the love of Cooking", Content="Canadian Bacon Green Chile  Cheddar Quiche with a Shredded Potato Crust My husband was going to help our friends move so I made this quiche to give him a filling and hearty breakfast for the heavy lifting he was going to be doing all day long. I really love the potato crust because it gives the quiche a great flavor without all the fat from a regular pastry crust. The green chiles tasted fantastic with the Canadian bacon and cheddar. This quiche is perfect for" },
				new Feed { Source="For the love of Cooking", Content="Blueberry and Lemon Curd Galette with Vanilla Bean Whipped Cream We were celebrating my friends birthday at our house and when I asked her what kind of cake she wanted she told me that she would prefer a galette for dessert. I decided to make another one with lemon curd but this time I used blueberries that my neighbor Jack recently gave me. I love galettes because they are extremely easy to make (especially if you cheat and use store bought pie crust) and" },
				new Feed { Source="For the love of Cooking", Content="Shredded Beef and Cheddar Baked Flautas We had our friends come over to celebrate my dear friend Kyles birthday.   For her birthday dinner she requested some shredded beef flautas with homemade salsa and fresh guacamole. This meal was simple to make and tasted amazing. The beef turned out tender juicy and so flavorful while the tortillas were perfectly crispy without being greasy. These flautas were a big hit with all of us" },
				new Feed { Source="For the love of Cooking", Content="Roasted Tomato and Vegetable Soup I got another bag of delicious tomatoes from my sweet and generous neighbors Jack and Mary this weekend. Since it has been raining and cold lately I decided to make a big pot of vegetable soup with a roasted tomato base. I threw in a zucchini (from Jacks garden) carrots celery kale and garbanzo beans. I served the soup topped with feta cheese. It was hearty flavorful and so delicious..." },
				new Feed { Source="For the love of Cooking", Content="Avocado and Tomato Salad I found some beautiful tomatoes at the store recently and decided to make a very simple salad featuring the tomatoes and fresh avocado. I seasoned them simply with sea salt freshly cracked pepper along with a drizzle of olive oil and red wine vinegar and a sprinkle of fresh cilantro. It was simple and so delicious - we all loved this salad. I served this dish with the Slow Roasted Chicken with" },
				new Feed { Source="For the love of Cooking", Content="Southwestern Cream of Chicken Soup This is another recipe from Cuisine at Home - I love that magazine This recipe just called my name when I saw it. I love Southwestern flavors and creamy soup so this one was perfect for me. I used the last of my leftover chicken from my Slow Roasted Chicken with Cilantro-Lime Butter which was excellent in this soup. I adapted the recipe a bit so it wouldnt be so high in fat by using lower fat" },
				new Feed { Source="For the love of Cooking", Content="Roasted Chicken and Pineapple Quesadilla I saw this recipe on The Pioneer Womans site recently and couldnt wait to make it for lunch. I made these for my son and I with the leftover Slow Roasted Chicken with Cilantro-Lime Butter and they turned out fantastic. I loved the tender chicken with the spicy barbecue sauce and sweet pineapple... they are definitely my new favorite quesadilla My son gobbled up every last bite of his and so" },
				new Feed { Source="For the love of Cooking", Content="Slow Roasted Chicken with Cilantro-Lime Butter Fall is my favorite time of year to cook. I love making soups roasts stews and roasted chicken. I was in the mood for Mexican food so I decided to slow roast a chicken with cilantro-lime butter. It was moist tender and so flavorful. I am looking forward to making some tasty recipes with the leftover chicken... stay tuned.Slow Roasted Chicken with Cilantro-Lime ButterRecipe and photos by For" },
				new Feed { Source="For the love of Cooking", Content="Penne with Sausage Peppers and Homemade Marinara I am a lucky girl because I have a kind and generous neighbor named Jack. Not only is he a great guy he also has a green thumb and a very big garden. I looked out my window recently and there were two huge bags of fresh veggies waiting for me - yes Jack even delivers. In the bags I found zucchini cucumbers corn on the cob and a ton of beautiful tomatoes. I decided to make a simple marinara" },
				new Feed { Source="For the love of Cooking", Content="Raspberry and Lemon Curd Galette with Vanilla Bean Whipped Cream We were having friends over for dinner and they were bringing the dinner I have the best friends. Anyway since I wasnt cooking I decided to bake a dessert. I love love love galettes not only are the delicious they are simple to make. I had some lemon curd in the cupboard so I decided to add it to the galette along with fresh raspberries then I topped it with homemade vanilla bean whipped" },
				new Feed { Source="For the love of Cooking", Content="Pork and Mushroom Stew When I saw a picture of this stew on the cover of Cuisine at Home I knew I would be making it immediately. I love pork with apples so I was excited to give this recipe a try. The magazine served the stew over apple-potato mash but I decided to just make regular mashed potatoes instead. The pork was extremely tender and the sauce was AMAZING. You serve the stew topped with pieces of granny smith" },
				new Feed { Source="For the love of Cooking", Content="Spinach Salad with Maple-Dijon Vinaigrette Ive been wanting to make this salad for a long time because it looks so flavorful and delicious without being too bad for you. I finally had all the ingredients on hand and decided to make it and I am so glad I did. I loved the flavor of the vinaigrette with the spinach and the crunchy apples and bacon bits gave this salad a great texture. We all loved it and gobbled up every last bite.Spinach" },
				new Feed { Source="For the love of Cooking", Content="Peanut Butter Swirl Mini Brownies My son and I wanted to make something special for my daughters after school treat today.  We finally decided to make peanut butter swirl brownies. I found this recipe on Ezra Pound Cake that looked delicious but I adapted it to make little mini brownies using mini muffin tins. My son had a great time stirring up all the ingredients and an even better time gobbling up the tasty brownie bites. My" },
				new Feed { Source="For the love of Cooking", Content="Turkey Italian Sausage Kale and Pasta Soup Its been chilly the last few days here in Oregon and as sad as I am to see the summer go I am excited for fall to begin. I really love cooking and baking in the cooler weather and one of my very favorite things to make is soup. I found a soup recipe on Kalyns Kitchen that sounded really hearty and delicious. It was easy to make and had very little clean up. We all really loved this soup" },
				new Feed { Source="For the love of Cooking", Content="Spicy Honey Brushed Chicken Thighs I saw this recipe in my newest Cooking Light magazine and I couldnt wait to make it. It was a simple and quick recipe with very little clean up. The chicken turned out moist tender and so flavorful. I toned down the crushed pepper a bit so it wouldnt be too spicy for the kids and they absolutely loved it. My husband and I both really enjoyed it too. I am looking forward to making this chicken" },
				new Feed { Source="For the love of Cooking", Content="Banana Coconut and Pineapple Muffins This recipe was made entirely by my 7 year old daughter. I have to say it was really wonderful to see how confident she is in the kitchen. After setting up the ingredients she asked if she could arrange them and take some pictures...it was so surreal and cool watching my daughter do her version of food blogging. She took several photos before letting me do mine. Once the pictures were taken care" },
				new Feed { Source="For the love of Cooking", Content="Mushroom Stuffed Zucchini with Parmesan Panko Topping Ive always wanted to stuff zucchini and I thought about all the different ingredients that would make wonderful stuffing. I ultimately decided on what I had on hand which was mushrooms Parmesan and panko. I did a quick saut of mushrooms onions and garlic then tossed the mixture with some Parmesan cheese and used it to fill up some zucchini boats. I topped each one with Italian seasoned" },
				new Feed { Source="For the love of Cooking", Content="Deluxe Pizza I wasnt in the mood to make a big dinner after a day of back to school shopping. The kids requested pizza so we grabbed some dough and sauce at the store then used ingredients I had on hand for the toppings. Our pizza was filled with turkey Italian sausage turkey pepperoni mushrooms pineapple onion artichoke hearts black olives and fresh tomatoes. It was hearty filling and so delicious" },
				new Feed { Source="For the love of Cooking", Content="Honey Mustard Thick Cut Pork Chops I wanted a quick and simple recipe for some thick cut pork chops I bought. I found a recipe on Taste of Home that looked delicious. I love honey and Dijon mustard together add some garlic soy sauce parsley ginger and cider vinegar and you have a tasty marinade. I grilled these pork chops on my grill pan and they turned out tender juicy and so delicious. They were a huge hit with my entire" },
				new Feed { Source="For the love of Cooking", Content="Mediterranean Chicken Pasta Salad I saw a recipe for a delicious Greek style pasta salad over at Cathys site Wives with Knives that I couldnt wait to make. I added a few extra ingredients like artichoke hearts grape tomatoes fresh basil and red onion. We had this salad as our main entree and we all enjoyed it especially my son who had two helpings. I ate some of the leftovers the following day and it tasted delicious." },
				new Feed { Source="For the love of Cooking", Content="Peasant Omelette with Potatoes Mushrooms Bacon and Cheddar When I was growing up there was a restaurant in my town called The Kitchen. It had so many amazing breakfasts but my very favorite was the Peasant Omelette. It was a very thin omelette filled with potatoes cheese bacon and green onions. It was simple hearty and delicious I wasnt in the mood to cook a big dinner (again) so I made omelettes. I cooked up some baby potatoes with onions and" },
				new Feed { Source="For the love of Cooking", Content="White Chocolate Pecan and Craisin Cookies After a long day at the park the kids were hoping to help me make cookies for their afternoon snack. After looking through the baking cupboard they chose white chocolate craisins and pecans to use in their cookies. They were simple and fun to make and tasted FANTASTIC. These cookies were rich decadent and so delicious.White Chocolate Pecan and Craisin CookiesRecipe and photo made by For" },
				new Feed { Source="For the love of Cooking", Content="Bacon Egg Sharp Cheddar Bagel Sandwich I love making breakfast for dinner and luckily my family likes it too. I made a bagel egg sandwich with sharp cheddar and bacon for my husband. It was hearty filling and delicious. Perfect for breakfast lunch or dinner.Bacon Egg Sharp Cheddar Bagel SandwichRecipe and photos by For the Love of Cooking.netBagel thin toasted1 egg cooked over hardSharp cheddar cheese shreddedTwo slices of" },
				new Feed { Source="For the love of Cooking", Content="Couscous with Kalamata Olives Pine Nuts and Feta Cheese This is another recipe I adapted from my new cookbook Organically Raised Conscious Cooking for Babies and Toddlers. I added tomatoes parsley and red onion to the recipe because I had some leftover that needed to be used up. This was a simple hearty and delicious side dish that my entire family enjoyed. My son couldnt get enough Couscous with Kalamata Olives Pine Nuts and Feta Cheese" },
				new Feed { Source="For the love of Cooking", Content="Ground Beef Black Bean and Cheddar Cheese Taquitos We had friends coming over for dinner but I wasnt in the mood to cook a big meal so I decided to brown some ground beef with a bunch of seasonings add some onion and black beans then use that mixture to make taquitos. I didnt have a lot of corn tortillas so I made the taquitos thicker than usual to make them a bit heartier. I baked them in the oven and they turned out crisp and delicious. I" },
				new Feed { Source="Cooking with Amy", Content="Placer County Real Food from Farmers Markets I used to say that self-publishing was not a good idea. But Im holding my tongue. For the second time Ive come across a fantastic cookbook that was self-published. The first you may remember was the Santa Monica Farmers Market Cookbook by Amelia Saltsman. Its filled with creative recipes that are inspiring and fresh. The second book to impress me is Placer County Real Food recipes and menus for ever week of the year by Joanne Neft with Laura Kenny. This is not a lightweight book written by amateurs. The book begins with Michael Pollans an Eaters Manifesto and an introduction by none other than Deborah Madison The photography is lovely the recipes solid and the layout attractive and easy to use. True to its title the book has a years worth of menus which are naturally in synch with the seasons. While created with the locals of Placer County in mind certainly anyone on the West Coast will find great ideas for meals all year long. There are salads side dishes main dishes and desserts all using farm-fresh ingredients. Neft who opened the first Foothill Farmers Market 20 years ago comes from a midwestern farming family and her food is straight-forward and not fussy. She worked with professional chef Laura Kenny to get the details just right. While there are no vegetarian menus per se there are plenty of dishes that could be the focus of a vegetarian or even vegan meal. I suggest skipping the dates in the book and going by whats in season near you. Its tomato season here in the Bay Area at the moment and the Chilled Tomato Soup made by grating tomatoes with a box grater and adding balsamic vinegar olive oil and basil with a swirl of creme fraiche sounds refreshing and the Watermelon and Heirloom Tomato Salad Greek Style is a nice twist on the original. Often its just subtle seasonings to already delicious ingredients that characterize the recipes. Side dishes like Corn with Cumin or Roasted Baby Carrots with Chard and Cilantro are dead simple to make. Not sure what to do with persimmons pea shoots or pomegranates WIth short ingredient lists and easy techniques this is  a fine choice for meat and potatoes types look to branch out with farmers market produce.More Check out a selection of recipes on the cookbook website.DO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Yodelayheehoo View Larger MapJust a heads up Ill be in Switzerland until September 20th. In the meantime feel free to check out my posts on Epicurious where there will be something new each Wednesday and Friday and also on Between Bites at Frommers.com where you should find a new post on Thursday. Also on Between Bites dont miss Amy Zavattos posts I think youll enjoy them tooWishing you peace love cheese  chocolateAmyDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Summer Eats in San Francisco If youve never been to San Francisco you need to know our Summer starts NOW. Yes in September. Not only is it pretty and warm and sunny but Summer produce--tomatoes corn pepper and peaches are all ripe and delicious at the moment. Its easy to roll your eyes at our sustainable local organic mantra but while youre here be sure to try some of these bites of Summer. Around this time of year just about everyone makes a tomato salad but one that sticks out in my mind as particularly fabulous is the Heirloom Tomato Salad with mozzarella di bufala olio verde basil and olive oil croutons at Scalas Bistro which is attached to the Sir Francis Drake Hotel at Union Square. Its the variety of tomatoes which are the star of the show but they share the stage with the milkiest creamy and moist mozzarella. An interesting addition too is the olive oil croutons which obviously add crunch and body to the salad. Hapa Ramen  isnt exactly like any ramen I have had before. The Slow Cooked Ramen with seasonal vegetables is the one to seek out. The broth is layered with richness and the bits of pork make it a meal. The broth is a little bit sweet and a little bit salty. But its the fresh and super sweet crunch of corn that really makes this ramen something special. You can find it at the Ferry Plaza Farmers Market on Thursdays or at Off the Grid on Fridays. I dont know exactly when shishito peppers started showing up at farmers markets but I think I first saw them about 2 or 3 years ago. I had tried them in Japan and was thrilled to see them not just in markets but on restaurant menus as well. They are typically quickly fried then sprinkled with salt. But at Hog  Rocks in the Mission District they go one step further and add a squeeze of lime. The result is bright and lively the perfect bar snack. Mostly these peppers are mild and sweet with an earthy green flavor but every once in a while you will get a spicy one My last Summer pick is the sorbet from Scream Sorbet. These surprisingly creamy dairy-free sorbets made from Summer fruit are an intense blast of flavor. Despite not having a retail location yet they made 7x7s recent The Big Sweet SF 50 Treats to eat before you die. Fortunately you can find the sorbet at many farmers markets around the Bay Area including the San Francisco Ferry Plaza on Thursdays. Try the seasonal fruit flavors like Flavorosa pluot peach raspberry and August Fire nectarine.  They are not sickly sweet but tangy and juicy in a way that screams Summer. And what could be better than thatScalas Bistro432 Powell StreetSan Francisco(415) 395-8555Hog  Rocks3431 19th Street San Francisco(415) 550-8627Ferry Plaza Farmers Market1 Ferry BuildingSan FranciscoOff the GridFort Mason CenterSan FranciscoDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="The Keys To Good Cooking by Harold McGee You may be familiar with Harold McGee from the monthly The Curious Cook column he writes for the New York Times that looks at the science behind cooking. He has explained  why adding water adds flavor to coffee and cocktails why cilantro tastes like soap for some  and how to prolong the life of berries.Harold McGees book On Food and Cooking is a classic reference and quite wonderful but frankly a bit geeky. Ive been fortunate to hear McGee speak a few times and Ive always learned a lot. Last time he mentioned his upcoming book The Keys to Good Cooking and told the audience that it would help answer the questions home cooks have about the practical side of kitchen science.Ill be reviewing the book when it comes out in October but in the meantime I got a peek at a few pages and gleaned these wonderful tips to help you succeed with braisingBeware of recipes that call for an oven temperature over 180F80C. Never let a braise or stew get hot enough to bubble when the meat is cooking. A closed pot in an oven at any temperature above the boiling point will come to the boil. At oven temperatures above 180F80C leave the pot open to allow evaporative cooling and produce a lower cooking temperature.To braise or stew tough cuts of meat in a few hours heat them at 180F80C. They will develop the dry tenderness of standard braises and stews.To braise or stew tender cuts quickly or tough cuts over a day or more to keep them especially moist heat them at 140-150F60-65C.Here are links to my past posts on Harold McGeeGastronomic turns 10 with Harold McGeeHarold McGee  Shirley CorriherDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Im writing for Epicurious again I am very happy to be writing for the Epicurious blog Epilog again. Im writing twice a week and will be sharing some posts on intriguing flavor combinations. I hope you will check out my posts and please do leave comments and tell me what you think of my combos and how you would suggest using them. My first post is on the combination of rhubarb cinnamon and rosewater. Coincidentally the New York Times published a story about rosewater just yesterday.Ive been very busy lately writing posts for Epilog and for Amy  Amy Between Bites as well as pieces for Cheers magazine and Gastronomica so hopefully that explains why its been a little quiet around here lately. I am traveling quite a bit this month but hope to post here again soon....cheersAmyDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Grana Padano For as long as I can remember Ive heard that Parmigiano Reggiano was the king of cheeses. Its the cheese I ate in Italy and cooked with as well. Its the cheese I always buy. I knew about Grana Padano but believed it was inferior to Parmigiano. A substitute. Poor mans Parmigiano. Wrong. Wrong. Wrong.First of all technically you could say Parmigiano is a type of Grana. Grana means grain and refers to the grainy texture of the cheese and Padano refers to the region where it is produced. Parmigiano is produced in Parma Reggio Emilia and Modena. Grana is produced in Piedmont Lombardy Piacenza Veneto and Trentino. Both cheeses are lactose free and a good source of protein and calcium.Grana Produced in a large region Less expensive than Parmigiano Made from raw skim milk  Cows fed grass cereal amp silage Cows can be treated with antibiotics Aged from 9 to 24 months and up Natural preservative lysozyme Parmigiano Produced in a small region More expensive than Grana Made from raw skim milk  whole milk Cows fed grass amp cereal Cows not treated with antibiotics Aged 24 months or more Free of preservativesBecause Grana uses more skim milk it is lower in fat and develops flavor more quickly than Parmigiano. I tasted and compared Grana Padano that was aged only 16-20 months and Parmigiano Reggiano that was aged 28-32 months. Here are my tasting notesGranaButtery rich sweet and mildly salty nutty creamy with a floral and fruity scent and a flaky crunchy crystalline textureParmigianoVery salty rich nutty earthy some crystalline crunchinessThe shocking verdict I actually preferred the Grana Because cheese is a natural and seasonal product there will be differences throughout the year. But I encourage you to do your own taste test. I no longer believe Grana is a more popular cheese in Italy only out of price considerations. I will still buy Parmigiano on occasion but for day to day use Ill be switching to Grana. Both cheeses can be used as a table cheese grated over pasta salad in traditional risotto dishes and with roasted vegetables.Recipes using GranaRecipes using ParmigianoNotes I bought the Parmigiano from Rainbow Grocery the Grana was provided for me and came from Di Palo Selects. The Grana is pictured on the left and the Parmigiano on the right. DO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Sardine Chickpea  Celery Salad I created a brain healthy recipe for Posit Science that features canned sardines an excellent choice for brain health as theyre rich in Omega-3 fatty acids but very low in mercury. I cant reprint it here just yet so if youd like to see if for free sign up for the Posit Science newsletter. Youll get a new recipe each week and can browse the full collection created by food bloggers around the country.The recipe is easy as can be it only has 4 ingredients plus a simple dressing of lemon juice olive oil cumin salt and pepper. Its perfect for hot weather I hope youll love itcheersAmyDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Americano Restaurant Review Ive eaten at Americano three times in the past couple of months and each time it was better than the last. Located on the ground floor of the Hotel Vitale its main architectural feature is a large patio that runs the length of the restaurant and faces the bay. With heat lamps plenty of tables chairs and even couches its one of my favorite outdoor dining spaces in San Francisco (Foreign Cinema is the other). The menu has something for everybody with plenty of appetizers for sharing or light meals pasta Italian entrees and even a hamburger. While Ive enjoyed the fish and hearty steak entrees its been the pizza pasta and appetizers that have made me a fan.Their take on the Margherita pizza the pizza fresca 15 is puffy and crisp and not overburdened with toppings. It has that melting quality I love when sauce cheese and crust all meld together.  My favorite dishes are the appetizers 7 each or 3 for 18. The luscious tonno conserva is so rich and delicate it will wipe away any memory of domestic canned tuna.  Also notable are the arancini and the artichoke and brussels sprouts fritti. None of the fried bites are greasy or heavy. Its hard for me not to order pasta especially when it is homemade. Chef Kory Stewart makes fantastic stuffed pasta supple and soft simple yet with very high quality ingredients. You can get his pasta in smaller or larger portions. If you want to try several dishes I wont blame you for ordering the small portion but if youre like me you will be sad when its gone. His pastas are often dressed simply with just a bit of olive oil or butter and topped with a bit of herbs or vegetables. The version with fava beans and Meyer lemon was a wonderful expression of late spring. While Ive enjoyed several desserts the one not to miss is the Mocha Custard 5. Served in an espresso cup it is is rich and creamy and the happiest marriage of chocolate and coffee.Americano Restaurant  Bar8 Mission Street  EmbaracaderoSan Francisco CA 94105(415) 278-3777DO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Zucchini Salad with Feta Recipe Everyone I know is looking for a good recipe that uses zucchini. Enormous zucchini appear from behind large green leaves surprising even the most vigilant gardeners. It seems there is always too much of it. No one complains about too many peaches or too many tomatoes. Too much zucchini Its likely to be left on a neighbors doorstep as a present. This salad is one of my favorite ways to cook and eat zucchini. Its based on a salad in Claudia Rodens The Book of Middle Eastern Food a book I turn to again and again. I like it seasoned with toasted cumin instead of coriander and caraway and a little bit of scallion to add texture and oniony flavor. Its called a salad but its soft like a dip. The sweetness of the zucchini is balanced by the saltiness of the feta the sourness of the lemon. If you want to make even the blandest vegetable taste good I recommend dousing it in olive oil lemon juice garlic and topping it with fetaFor a light Summer meal Id serve this salad well chilled along with bread and other assorted vegetable side dishes like this Middle Eastern carrot salad tomato salad marinated mushrooms or with hummus and pita or grilled kebabs. Its a healthy dish to keep in the fridge for a little snack though you may find you polish if off pretty quickly.Zucchini Salad with FetaServes 2-41 lb zucchiniJuice of 12 lemon3 Tablespoons extra virgin olive oil12 teaspoon chili paste or harissa1 clove garlic pressed or finely minced and mashed12 teaspoon toasted ground cumin2 scallions white and pale green parts only minced14 cup feta crumbledSaltCut zucchini into about 5 pieces and place in a large saucepan cover with water add a pinch of salt and bring to a boil. Cook about 15 minutes or until zucchini is very tender. Drain in a colander while zucchini is still in colander coarsely mash zucchini with a fork pressing out the liquid but not the pulp.Combine the lemon juice olive oil chili paste garlic and cumin in a serving bowl. Add zucchini and minced green onion and mix. Taste for seasoning and salt but dont use too much if your feta is salty. Top with feta. Chill before serving with pita or bread.EnjoyDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Off the Grid Last Friday night I was glad to join the street food revolution at Off the Grid. Off the Grid takes place Friday nights from 5 pm until 9 pm in the Fort Mason Center parking lot right near the entrance by the little guardhouse. Its a great mix of carts people food and drink. Families couples and groups can be found mingling eating chatting and discovering deliciously affordable bites of food. There was plenty of room to walk around chairs and a few tables and there was even some live music. There was no overcrowding significant waits or lines (Chairman Bao had a line but it moved quickly). The most difficult decision may be what to try because with about 10 vendors there is no way to try it all. They ranged from traditional taco trucks like El Tonayense to the new fangled Creme Brulee cart.I started with potato beef curry puffs from Malaysian Lacy Crepes. They were freshly fried to a crisp on the outside with a tender and mid curry on the inside. Like most things the portion was good for sharing. I want to try their chai banana fritters next. I was very impressed with Chairman Bao. I tried both a duck confit and mango bun and the pork belly bun steamed 2.75 each. Both were juicy and fresh but I think the crunchy daikon pickle in the pork version made it my favorite. They also have a baked version. Next timeLee had a cup of chai which came in various flavors such as rose and vanilla almond. It seemed a bit pricey to me at 4 a cup. Most of the dishes were in the 2 to 6 range. He also approved of the lemon mochi and succulent adobo chicken. The spiciest bites came from Curry Up Now. The Indian street food truck. The Kathi roll made from roti stuffed with pickled onion chutney and chicken was hot stuff In the future Id love to see Chinese dumplings or some kind of noodle dish along the lines of the Noodle Fest in Chinatown. But the variety thus far is terrific and I will be backMore on Off the GridA Little Yum postSF Weekly slide showYelp reviewsDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="9 Stir Fry Secrets from Grace Young Are you a stir fraud Do you stir fry or do you stir faux During a recent taping of Youre Doing It All Wrong for Chow I learned I was making some pretty big mistakes when it comes to stir frying hence my less than stellar results. The video is not quite ready yet but to tide you over heres what I learned from stir fry master and cookbook author Grace Young. Her latest book Stir Frying to the Skys Edge is out now.  Use a 14-inch wok. Other sizes are too small to cook enough food or too large to heat properly on a typical home range. Find a carbon steel flat bottom wok. RESIST the urge to use a non-stick wok It cannot be heated high enough to give you good results. If you must use a 12-inch skillet. But again not non-stick When you marinate meat for stir frying which only takes five minutes add a little bit of oil. Use a high smoke point oil such as peanut canola grapeseed. Grace said rice bran oil is good too and thats generally what I have on hand.  Hot pan cold oil Do not add the oil to your wok until it is hot hot hot Otherwise the food will stick stick stick. Use the highest heat possible To get good caramelization spread out the meat and really let it sear before stirring. Stir fry the meat only until its 34 of the way done before removing it and adding the vegetables. Be sure vegetables are good and dry when they go in the wok. Dont crowd the pan The amount of vegetables will vary depending on the type but a rule of thumb is no more than 34 of a pound meat and maximum 4 cups vegetables. But you want to know the most important thing I learned You can make a better stir fry at home than you can get in a restaurant. Really. According to Grace you are much more likely to use higher quality ingredients than your local Chinese restaurant. And if you do it right your results should be better. My thanks to Chow and Grace for inviting me to the taping. Im only sorry I couldnt stay for lunchMore tips on stir frying from Grace on CulinateDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Aloha Tomorrow I will be heading to one of my favorite places in the world for a birthday celebrationvacation Hawaii. It also just happens to be one of my favorite dining destinations. In addition to eating swimming exploring and shopping at my favorite island farmers market on this trip I am looking forward to attending an Obon festival and finally meeting my favorite Hawaiian food blogger. Since this is my vacation I will not be blogging from the beach. If you have any hot tips or favorite restaurants on Oahu please feel free to leave a comment. In the meantime you can check out my Honolulu Dining Guide below. I will surely be adding to it when I return...Until next week AlohaAmyDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Archway Cookies A Nostalgic Review When I was growing up we didnt have soda or candy in the house or junk food like Twinkies but we did have cookies. Sometimes my mom made cookies from scratch and sometimes she bought them. The thing is some cookies need to be fresh and homemade like chocolate chip cookies or oatmeal cookies. They just dont taste right to me if they arent. But then there are some commercially produced cookies that are just fine and dandy. When I was growing up I can almost guarantee you would have found pecan sandies lemon coolers raisin biscuits or almond windmills in the cookie jar. Oddly enough most of those cookies are not so easy to find these days. Pecan sandies are a kind of shortbread cookie flecked with bits of nuts and are the only cookie I still routinely see in the supermarket (though reviews seem to say they arent as good as they used to be).  Lemon coolers were very tangy cookies coated in powdered sugar. Raisin biscuits were affectionately known as fly biscuits in my family. They were thin layers of cookie filled with raisins. They came in long strips that were perforated. Almond windmills later became just windmills as the amount of slivered almonds was drastically reduced. Windmills are based on a spiced Dutch cookie called speculaas. Recently I got an email informing me that Archway was launching an iced lemonade cookie. Was I interested in trying some samples Little did I know I would receive 13 packages of cookies in the mail. 13. Packages. Of cookies. So for you my dear readers I opened virtually every package and tried them. Call it professional responsibility. Somebody has got to try all those cookies and it might as well be me Not every cookie made the cut but a few varieties rose above the rest. Here are the ones I think are particularly noteworthyMolasses CookiesThese are soft big cookies with a lingering molasses flavor and a bit of crunch from the decorative sugar crystals. Perfect with a mug of black tea and milk. Ginger SnapsI like these a lot. They really have a good bite of ginger in them and are not too sweet. They would also be great in desserts. Id use ginger snap crumbs in place of graham crackers to make a press in type of crust or to top an apple or pear crisp. Iced MolassesYou have to like molasses to appreciate these chewy little gems but I enjoyed them even more than the larger soft molasses version.They are really good and strong like a bracing cup of black coffee. Iced LemonadeThese are not my beloved lemon coolers but I like them. They are tangy not too sweet even though they are frosted. Actually I  think most of the lemon flavor comes from the glaze. They are small and very crunchy. WindmillsThese are practically as I remember them just light on almonds. From the photo its impossible to see any almond flakes but they are in there. The primary flavor is cinnamon but there are other sweet spices too. Windmills are hard cookies but not as hard as the ginger snaps. They have an almost melting sandy texture. Are they that delicious or am I just being nostalgic Hard to say. But I am enjoying them immensely.You will find these cookies in various supermarkets. What store bought cookies do you love or missDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Free Healthy Recipes How would you like to receive 50 free brain healthy recipes Food bloggers from around the world contributed to a special recipe collection called ThinkFood put together by Posit Science a leader in brain training interactive software programs designed to help users think faster focus better and remember more. Posit Science takes an integrated approach to brain health that includes brain training and now brain healthy eating.Visit the website to sign up for a recipe of the week. After signing up youll be able to see the recipe online as well. This week the recipe is for Banana Oatmeal Chocolate Chip Cookies and includes brain healthy ingredients such as chocolate banana flax and walnuts. Its from food blogger Tina Haupert of Carrots n Cake and it looks great On the web site youll get the recipe cooking tips meet the food blogger and learn about brain healthy ingredients. You will also be able to purchase a copy of the hard cover book when it is available in July. Ill let you know when my recipe is available in August. Here is the complete list of sites that contributed recipesAmbitious Deliciousness  Anne8217s Food  Apples and Butter  The Arugula Files  Best Fruit Now  Brown Eyed Baker  Carrots 8216N8217 Cake  Chocolate Shavings  Closet Cooking  Cooking with Amy  Daily Unadventures in Cooking  Dash and Bella  Dine amp Dish  Dixie Caviar  Eclectic Recipes  eCurry  Fake Food Free  Food Blogga  Food Loves Writing  For the Love of Cooking  Gourmet Fury  Greedy Gourmet  Hangry Pants  Healthy Everythingtarian  Herbivoracious  Katiecakes  La Note Restaurant  Laurel On Health Food  The Leftover Queen  Lisa8217s Kitchen  Local Appetite  The Lunchbox Bunch  Make Life Sweeter  My Cooking Hut  My Sweet Vegan  Napa Farm House 1885  O-Cookies  Off the Broiler  Off the (Meat)Hook  Pink Bites  Project Foodie  Sassy Radish  Seriously Good  Shelteriffic  A Southern Fairytale  Stone Soup  Sugar Bar  Super Healthy Kids  Tastes Like Home  Wild YeastDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Asparagus Hot Brown Recipe When I was in Louisville Kentucky a couple of weeks ago I tried the famous Hot Brown sandwich at the Brown Hotel. Its a rich combination of dreamy Mornay sauce hearty turkey a couple of tomato wedges and crisp bacon on top. Broiling the sandwich makes the tomatoes and sauce even tastier. But its a monster I really dont know how anyone can finish it. If you go to Louisville by all means do try it. If you dont have an enormous appetite you can order a smaller portion of the Hot Brown. Its not on the menu but it is available upon request.All over Kentucky you will find different versions of the Hot Brown. Some have ham instead of turkey or a combination of both or seafood and no turkey or ham. When I got home I decided I would try my hand at making a slightly lighter version of this delectable sandwich. But I figured why not try it with asparagus After all asparagus and cheese sauce is already pretty tasty. While I love Mornay sauce I rarely have heavy cream on hand so I made a simpler cheese sauce. I kept the bacon because I think the salty smoky flavor and crunch really are important in this mostly soft fork-and-knife style sandwich. I also like the juicy tomatoes so I kept them in the mix.The Hot Brown was created as a late night snack for dancing partying Louisvillians who craved something other than a midnight breakfast. But actually I think it makes a great breakfast or lunch. I know my other half would it eat it for breakfast if I put a fried egg on it Then again he would eat just about anything with a fried egg on it. A sandwich smothered in cheese sauce is a yummy thing indeed and I think there are probably endless variations...Asparagus Hot BrownServes 43 Tablespoons butter3 Tablespoons flour2 cups whole milk14 cup grated ParmesanSalt to taste4 thick slices white bread such as Pullman or Texas toast crusts trimmed bread lightly toasted1 lb. asparagus trimmed and steamed4 teaspoons grated Parmesan1 -2 ripe tomatoes cored and cut into 8 wedges8 slices bacon cooked14 cup parsley choppedFor the sauceMelt butter in a medium saucepan over medium-low heat. Whisk in flour and cook whisking constantly until pale golden about 3 minutes. Remove pan from heat and quickly whisk in milk and cheese. Return pan to heat. Cook sauce whisking constantly until smooth and creamy 12 minutes. Remove pan from heat and season sauce with salt to taste.Preheat broiler. Trim the asparagus spears in half so they are no more than 4 inches long and cut the toast into triangles. Put 2 pieces of toast in each dish and cover with 14 of the asparagus and spoon 12 cup of sauce over it. Sprinkle a teaspoon of cheese over each portion. Garnish each dish with two tomato wedges tucked next to the sandwich. Broil sandwiches until sauce is browned about 1-2 minutes. Put 2 pieces bacon on each sandwich and sprinkle with parsley before serving.EnjoyDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Mi Pueblo Supermarket Have I mentioned how much I truly enjoy grocery shopping I might not even buy anything but no matter where I go home or away I am fascinated to see what is on offer. As my friend Joe Kowalke says Grocery shopping is my baseball. And I am an equal opportunity shopper. I like everything from fancy shops like Dean  Deluca that carry artisanal products to Asian Middle Eastern and Russian grocery stores and even supermarkets. I like discovering spices produce cheeses sausages prepared foods baked goods even packaged food Ive never seen before and noticing what people are buying. My latest shopping discovery comes courtesy of my dad who shares my love of grocery shopping. Its Mi Pueblo a supermarket that serves the local community in the Canal District of San Rafael. Its the first Latino supermarket Ive ever visited and I loved it There were so many interesting things to see like yards of chorizo aisles of packaged flan exotic spiky vegetables and piles of piioncillo sugar. Theres even a taqueria and a panaderia right inside the store. The prices for fresh produce were very reasonable and they carry many unusual things like fresh garbanzo beans and all types of crema that I cant easily find elsewhere so I know I will be back again. The chickens roasting over mesquite smelled amazing and the guy out front selling oysters in shell was doing a bustling business. I probably wont be buying margaritas in a can or Peruvian soy sauce but I now know where to find both under one roofGet the flash player here httpwww.adobe.comflashplayerSee the slide show of my visit to Mi Pueblo.More posts and stories on Mi PuebloJulies UpdateSilicon Valley MomsMarin Retail BuzzMarin Independent JournalDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Food and Wine Wine goes with food. I know this sounds obvious but not that long ago I got into a disagreement with a wine blogger about this very subject. Her point was that not all wine needs to be paired with food some people enjoy wine without food. Well not me. If I want something to sip after dinner on its own I might choose a luxurious and sweet dessert wine such as Sauternes Tokaji Port or Madeira. As an aperitif I prefer something crisp and sparkling Champagne perhaps. Or a cocktail. There is a segment of the wine drinking public that has taken to drinking wine as if it were a cocktail. They want their wine big bold with little acid plenty of tannin and dont seem to mind if its tremendously alcoholic (I mean over 14.5 alcohol). Again not me. In Old World wine-producing countries there is a culture of drinking wine with meals. But in the New World that isnt always the way everyone is introduced to the pleasures of wine. So some people end up favoring wines that compete with sherry in terms of alcohol. Dont even get me started on the astronomical prices of some of these wines. By the bottle or the glass I want wine I can actually afford to buy.I remember once being told that in ballet the ballerina is the picture and her partner is the frame. Id say the same thing is true about food and wine. Food is the picture wine is the frame. A good frame can compliment a picture but on its own its just a frame. I used to attend a lot of wine tastings but I found I was comparing one wine to another and the wines I liked the best in tastings rarely impressed me as much when I tried them with food. So I stopped going to so many wine tastings. You might say Im not sophisticated enough to appreciate wines on their own but in my opinion no wine can ever compete with the perfect pairing of food and wine. While I dont entirely agree with experts and bloggers like Alder of Vinography who say that food and wine pairing is a scam I do agree that there are no right answers and that ultimately you should drink what you like with whatever food you choose. I also believe there are pairings that are pure magic. Notice I said pairings there is never just one good pair. The excellent guide book What to Drink with What You Eat shows many great pairs and is a constant source of inspiration for me because finding those matches is something I strive for each and every time I open a bottle. For me the highest compliment I can pay a wine is that I find it food friendly. But really that is what every wine should be.DO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Slow Roasted Salmon Recipe Go get yourself some Copper River King salmon. RIGHT NOW. I am not kidding. I dont believe there is a more delicious salmon than Copper River King also known as Chinook and the time to enjoy it is right now. The season begins in the middle of May when the fish are gorgeous orange rich with healthy fats including the highest level of prized omega 3 fatty acids. It has a delicate flavor and velvet texture that cannot be beat. The quality of the fish declines as the season progresses so get some at the peak of deliciousness. Like right now. When cooking Copper River King you really want the fish to be the star. It doesnt need much fussing over. I prepared some this past week in various ways and here is what I would suggest cook it either very quickly under the broiler or very slowly in a low oven. The slow cooking method yields a very creamy almost custardy texture that is super moist and succulent. I first learned about this style of cooking from a Jacques Pepin recipe but many other takes on this recipe exist. I like crispy salmon skin so I sear the fish first then gently cook it in the oven set at only 200 degrees. Its important to check it often to make sure it doesnt overcook. A light dusting of smoky spices and a little salt and brown sugar lends a lovely color but doesnt obliterate the natural clean flavor of the fish. When making the spice rub use the freshest ground spices if they are over six months old toss em outCopper River King salmon from Alaska is expensive but a little goes a long way just 4 ounces makes a satisfying serving. Its like the seafood equivalent of chocolate--luscious creamy and melts in your mouth. Id rather have a little high quality chocolate than all I can eat of the cheap stuff. Wild-caught  Copper River King from Alaska is high in protein and low in saturated fat and is certified as sustainable to the standard of the Marine Stewardship Council. Alaskan salmon are among the most intensively managed species considered a best choice by the Monterey Bay Aquariums Seafood Watch. Delicious healthy and sustainable It doesnt get much better than that.Slow Roasted Salmon 1 lb Copper River King salmon1 12 teaspoons smoked paprika1 12 teaspoons garam masala1 12 teaspoons toasted and ground cumin 12 teaspoon kosher salt12 teaspoon brown sugar1 mango pitted peeled and diced a firm variety such as Tommy AtkinsIn a small bowl combine the smoked paprika garam masala cumin salt and sugar. Preheat oven to 200 degrees. Coat the top of the salmon with a heaping teaspoon of spice rub. Rub it into the surface of the fish and shake off any extra. Cut into 4 portions.Heat a cast iron pan over medium heat. When the pan is very hot sear the salmon skin side down for 2 minutes. Transfer to oven and bake until an instant read thermometer inserted into the thickest part registers 125 degrees the temperature will continue to rise after you remove the fish from the oven. The total cooking time will depend on how thick the fish is the rule of thumb is 10 minutes per inch. Top with a spoonful of mango and serve immediately. EnjoyMore slow cooked salmon recipesSlow Cooked Salmon with Salsa VerdeSlow Roasted Salmon with Green Curry PasteSlow Cooked Salmon with Creamy Leeks and Red Wine ButterSlow Cooked Salmon with seasoning variationsMy sincere thanks to the Copper RiverPWS Marketing Association for providing me with a generous shipment of Copper River King SalmonDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Great Summer Cookbooks Winter is the easiest time of year to feel motivated to cook. When its cold outside nothing is better than hunkering down in a cozy kitchen to braise and bake and simmer the day away.  Summer time is perhaps the toughest season for cooking. Who wants to be in the kitchen when the weather is beckoning you to stay in the sun  When I think of Summer I think of tomato salads guacamole ceviche and big antipasto platters served al fresco. And of course anything and everything on the grill. There are tons of grilling cookbooks and each season a new batch comes out (in fact you can find a recent round up of grilling book reviews on MattBites). But this year there are two Summer cookbooks that go way beyond just grilling giving you many more options when things heat up. They are very different books though either would be perfect to take with you on Summer vacation to a beach house or mountain cabin or make a great hostess gift. The Big Summer Cookbook is a soft cover book with 300 recipes written by author Jeff Cox who seems particularly attuned to what is ripe and in season. The book starts with a Summer seasonality chart and perhaps even more interestingly a section on how to stock your Summer pantry. This would be helpful in planning meals for a week at a Summer house. There are recipes for no-cook dishes such as Mango Watermelon Salad and Caprese Skewers as well as some baked goods that you will want to eat during the Summer such as Plum and Nectarine Crisp and Sour Cream Breakfast Cake. Recipes I have bookmarked include a No-Cook Blackberry Pie that features a graham cracker crust and a Couscous Salad with Pine Nuts and Summer Fruit. The vegetable and fruit recipes are more interesting in general than the meat recipes which tend to be standbys such as  burgers and grilled chicken.  There are some new ideas in this book but its really more about the basics. Read an excerpt.By contrast the substantial hardcover Recipes from an Italian Summer will make you dream of Summer in a villa eating dishes like Grilled Sardines scented with Orange Wild Duck with Figs and Spaghetti and Lobster. It begins with a seasonal food calendar and features nearly 400 exciting and adventurous recipes. These are primarily Italian recipes many you have not likely seen before. With a few notable exceptions they are generally not complicated dishes and in tune with the season but written for someone who is a confident cook. By in tune I mean things you might want to eat in Summer as there are recipes using ingredients not strictly available in the Summer like apples and radicchio. Here and there the recipes suffer from less than optimal translations. But they are the things you will want to eat when you get bored of tomato salad and grilled chicken. The book has gorgeous photos of food in a rustic style and lots of photos of Italy. If you love Italian food you will find this book deeply satisfying because of the many fresh ideas it presents although there is some overlap with the Silver Spoon cookbook. Personally I cant wait to make dishes like Potato Pizza and Sunflower Petal Salad. Its a book that inspires. Look inside the book.DO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Top 20 Cooking Myths There are lots of myths in regards to cooking. Sadly they tend to discourage people from practicing a very basic life skill. Here are the myths about cooking that I have heard repeatedly from friends acquaintances and even cooking pundits. Are any of them keeping YOU out of the kitchen1. You cant cook anything good in a short amount of timeYou dont need to cook something complicated or cutting edge (unless of course you want to) plenty of great recipes take very little time at all. Here are just a few examples Asparagus Frittata from Simply RecipesBlack Bean Clams from Single Guy ChefHigh-roast Chicken and Potatoes from HedoniaGrilled Tri Tip Steak with Chimol Salsa from Kalyns KitchenOrechiette with Sausage and Kale from The KitchnWhole Wheat Spaghetti with Aglio e Olio from Skillet ChroniclesChoose from steak chicken pasta seafood some dishes are even vegetarian--all are delicious2. Cooking takes too longI dont know what too long means. But I can cook dinner faster than you can get it served to you at a restaurant and quicker than it takes to get it delivered. Really. Dont believe me Revisit the recipes above. 3. You need lots of ingredients There are tons of recipes that use 5 ingredients or less. Just check out this collection on Epicurious. Or just revisit the recipes above the ingredients for those recipe would fit in a single grocery bag. 4. Cooking is not enjoyableCooking can and SHOULD BE ENJOYABLE Its not just a necessity its actually fun or why would so many bloggers (myself included)  be droning on about it endlessly5. Cooking is hardCooking in a restaurant is hard work. Cooking at home does not need to be hard. If you dont believe me see Michael Ruhlmans sarcastically named Worlds Most Difficult Roasted Chicken Recipe. 6. You need to use processed foods to save time effort and moneyProcessed foods actually cost more than raw foods not less. They do not necessarily save you time. The Kitchn did a test to see what the difference was between making a cake from scratch and from a mix. The results will surprise you7. Cooking from scratch is expensive even more than eating outCheck out this bloggers challenge to create 2 a serving meals. 8. Cooking requires a lot of skillNope. Even dummies can cook French food. 9. You need expensive pots and pan to cookThe Breakaway Cook shows you how to use some of the cheapest pans around cast iron. 10. You need lots of expensive knives to cookThree knives. Thats all you need And this from a restaurant blogger. 11. You need a very well-stocked kitchen to cookA basic pantry doesnt need to be overflowing with ingredients. Not sure where to start Check out this primer on Slashfood. 12. Good cooks never use recipesThere are cooks who advocate ratios rather than recipes but you know what They too use recipes too sometimes. 13. Good cooks always use recipesPastry chef and blogger Shuna Lydon dispels this myth thoughtfully and provocatively. 14. Cooking is too messyYes cooking can be messy. But you should be able to clean everything in your kitchen. Keeping your kitchen clean is not a good reason for not cooking15. Cleaning up takes longer than cooking so its not worth the effortThe secret is to clean as you cook just ask Martha. 16. Cooking is too dangerous for kids to doWhen kids learn to cook with adult supervision its not dangerous. Check out Whats Cooking Blog to learn more about cooking with kids. 17. Cooking is fattening and leads to overeating By cooking you can control and be aware of exactly what is in your food. I guess if you cook well you might be inclined to overeat but thats about will power not cooking18. You must follow recipes exactly or they wont workIf that was true you would never see the word adapted next to recipes. 19.    Cooking is menial or dullIn the 1950s women were told that cooking was a chore and not worth the effort. Laura Shapiro writes about the phenomenon in Something from the Oven. But cooking was and is something truly enjoyable. Cleaning might be menial and dull but cooking is a joy. The classic cookbook that proclaims it so has sold over 18 million copies 20. Cooking for one is not worth the effortLegendary cookbook editor Judith Jones would beg to differ. Shes the author of The Pleasures of Cooking for One.DO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Anthony Boutard on What Makes Fruit Great One of the best presentations I got to attend at the International Association of Culinary Professionals conference in Portland last month was a conversation between chef and cookbook author Deborah Madison and farmer Anthony Boutard of Ayers Creek Farm. Ayers Creek Farm is an organic farm located in Gaston Oregon in the Wapato Valley 10 miles west of Beaverton and 40 miles from the ocean. The theme was fruit and I learned so much Here are a just a few highlights from the discussionDeborah Madison asked What makes fruit great  Boutard said in some ways its hard to say because everyones palate is different for example some people love tart marionberries some people hate them.   According to Boutard the best fruit has acidity upfront. Acid and tannins in fruit are complex and cannot be simply duplicated by adding   lemon juice. Sweetness on the other hand is not very complex.   Shipped fruit seems like it loses acidity (another reason to buy local).  The best way to get shoppers to warm up to fruit with high acid is to give samples to their kids. Kids love acidity  Some fruit are best suited to wide temperature variation such as melons and plums that want hot days and cool nights. Different plums grow in different parts of the country. In California there are lots of Japanese plums and in Oregon more European plums.   Cellared fruit takes on different characteristics. It wont have the same texture it may not be crisp but the flavor can be amazing. Boutard said the best apple he ever ate was a russet apple in Switzerland it had been cellared for many months and was mealy but complex and delicious.   Grapes with seeds have more flavor and nutritional value. Boutard calls grapes celibate or fecund instead of seedless or seeded. A little sex helps sell  Grapes with seeds dont last as long as seedless varieties but the seeds are worth eating too. You cant eat Concord grape seeds but other grape seeds have a spicy flavor that balances the sweetness of the fruit.   Picking fruit takes real skill. For example some fruit needs to be watered the night before picking such as raspberries other fruit like plums will split if watered when already ripe. Boutard has been working with the same Oaxacan family for years because they understand how to pick fruit.   Systemic pesticides and fungicides cannot be washed off fruit. Boutard chooses to grow fruit that is well-suited to the environment and can be grown organically rather than fight mother nature.  Machine picked fruit is not as fully ripe because it is picked using beaters.   The best way to judge the quality of most fruit is to smell it. Dont look at the size. The first batch of fruit often has more pectin in it that the subsequent crops.DO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Numi Puerh Tea I have become a puerh pusher. Anyone who takes so much as a whiff from my cup ends up buying their own. I discovered puerh tea a few years ago at a wonderful tea shop Modern Tea run by tea expert Alice Cravens (now sadly closed). It was served in the traditional manner in a tiny tea pot with tea broken from a cake of puerh. Not long after I purchases some loose puerh tea from Tillerman Tea in Napa. But its the perfect-for-sampling Numi Tea tea bags that have made me go pro.Puerh is a fermented and aged green tea that has many of the characteristics of black tea and more antioxidants than either black or green tea. It is dark and malty with rich flavor that can handle a splash of milk. Up until recently it was almost impossible to find high quality puerh tea bags. Normally I buy all my tea loose leaf bulk never in bags but Numi Tea is making some fabulous puerh tea blends available in bags. They use whole leaf tea not dust. The convenience of tea bags has worked well for me because I am usually just drinking one cup and I often take a few bags in my purse and my suitcase. Back in January I participated in Numis Puerh Challenge. I didnt drink three cups a day because its just too much caffeine for me. But I quickly added to my stash buying boxes of Magnolia Puerh and Emperors Puerh to my favorite the Chocolate version. The Numi Chocolate Puerh tea is a blend of all organic ingredients--puerh tea cocoa powder vanilla Theo chocolate cocoa nibs rooibos orange peel nutmeg and cinnamon. It is such a treat It has lovely spicy notes that pair with the mild chocolate and rich tea.For a more delicate tea I like the floral Magnolia blend which has green tea and magnolia flowers along with the puerh. The Emperors version is pure puerh nothing else added. It is the most robust with toasty rich flavor great when you feel like you want a cup of coffee. The only version Im not crazy about is the Mint Puerh but to each his own. Numi also sells puerh in a brick and in bulk which is probably what I will end up purchasing next. The advantage to the brick is that a small amount of tea can be used again and again to make up to 4 cups of tea. Puerh is considered a very healthy tea potentially strengthening your immune system and reducing the risk of heart attack. Other studies show tea can reduce cholesterol and triglycerides and lower blood pressure. I would love to tell you I lost weight drinking this tea but I dont think I did. But it absolutely gets me going in the morning on those days when I need a little extra boost and the different varieties seem to fit my mood at different times of the day. DO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Mango Cucumber Salad Recipes Ok heres a crazy idea one basic salad that can be either sweet or savory. I was trying to think of what to do with some mangoes coming my way from the National Mango Board this week and then I saw a tweet from SimpleGourmetLA with the idea for a mojito cucumber mango and strawberry salad. It occurred to me that both cucumber and mango could go either way--sweet or savory. Im always looking for ways to use common ingredients in slightly unexpected ways. Here the twist is using cucumber in a sweet fruit salad and using sweet mango in a savory salad. English cucumber is available year round and does not need to be peeled. It has a very mild flavor and a fine texture without big slippery seeds. Best of all it has a terrific crunch I used the most commonly available mango the Tommy Atkins variety in both salads. Its not a very tropical luscious or creamy mango but more of a workhorse with citrus-like flavor able and willing to stand up to whatever you demand of it. Its a bit on the firm side so its particularly good in salads.  For the sweet salad I combined cucumber mango and strawberries and for the savory version cucumber mango and radishes. You might recognize the ingredients from the savory salad as being similar to what you find Mexican street vendors selling. Each salad is flavored with lime but the sweet salad gets a touch of honey and mint the savory salad a pinch of salt and green onion. Both are bursting with juiciness crunch and Summery flavors and would be great at a picnic. Id serve the savory salad with grilled fish or chicken. Id serve the sweet salad with a scoop of sorbet or just a couple of cookies.Mango Cucumber Strawberry SaladServes 41 Tommy Atkins mango peeled pitted and cut into chunks12 large English cucumber cut into chunks1 pint strawberries trimmed and cut in chunksJuice of a fresh lime squeezed2 teaspoons honey2 sprigs chopped fresh mint leaves about 12 levesIn a mixing bowl combine the lime and honey and stir until smooth. Add the mango cucumber strawberries and mix. Sprinkle with mint and taste for seasoning before serving.Mango Cucumber Radish SaladServes 41 Tommy Atkins mango peeled pitted and cut into chunks12 large English cucumber cut into chunks1 bunch radishes trimmed and cut into chunks1 green onion thinly slicedJuice of a fresh lime squeezedPinch kosher saltIn a mixing bowl combine the lime and salt and stir until dissolved. Add the mango cucumber radishes and mix. Sprinkle with green onions and taste for seasoning before serving.EnjoyDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Interview with Claudia Roden - part 2 Photo credit Red Saunders In part 1 of my interview with Claudia Roden she shared her experiences from years of writing about the food of the Middle East and her thoughts about cooking in the US and Britain. In part two she tells us about her upcoming Spanish cookbook recipe testing and her opinions on culinary innovation. For years Ive read that youre working on a Spanish cookbook how is that coming alongFor 5 years I worked on it and Ive just given it in. I spent years eating meeting people having fun also doing a lot of research and the history of Spain through its food the literature and so on. I researched the life of the aristocracy the peasants the church every recipe has meaning. I only include a recipe if it tastes good usually if it lasts 100 years it is good. The added pleasure is to know how it fits in to the culture. It becomes a way of life and its been very enriching. In a year it will be out we are now doing the food photography when I get back (to London) we will start again. The photographer is going around in Spain. Ive done two editions of the book one in metric and one in cups for the American edition so its taken rather longer. I always want to test everything myself. I want to make sure of the measures. I am the responsible one so I want to do it. Your recipes are some of the most reliable and consistent I have ever used. Whats your opinion of recipe testersYou have to give other indications by that I mean not just timing cups and measures. Until now I had never used recipe testers but I also invite people to dinner or invite one person to dinner and feed them so that is my test. Right now after having tested all the recipes 2-3 times they are being tested again. My published in the UK Penguin has a policy to retest all recipes so they asked if I wouldnt mind. I was very glad but Im crossing out a lot that has been put in by the tester. I do add variations in time but she has put in so much material that I fear will put off anyone from cooking I want recipes to be short and direct. I assume someone knows a bit how to cook. She puts in every dish how to fry onions I just think if people are busy with the timing they may not pay attention to the other signs. You cant tell everyone everything the best is to teach them to gauge for themselves. Theyll have to learn to be confident of their taste and their senses. You cant put every single eventuality in a recipe. I believe you must trust people to use their common sense. People should really trust their senses. You must trust your taste. Cooking is an art of the senses. We can explain as writers thats our job not to just give measures. You and Paula Wolfert are both heroines of mine. You both seem to be able to get amazing details from home cooks. What are the keys to getting people to share their recipes especially people notorious for not sharing recipes like Italians I do a lot of advanced contact. In Italy the very first contact was an ideal one. I was invited to a dinner with regional chefs and cookery teachers from around the country and there was a man who organized things that had connections to other culinary enthusiasts around the country. Cooking teachers were very generous. They were not necessarily teaching Italian food but I got them to help me make contacts. I found food lovers who go out to eat  in different towns I had personal connections that helped. I didnt waste any time at all since I was under pressure from the Times. I would ask people on the train for help I would ask someone in a train compartment what is your favorite food and several people would join in the conversation. I was told (by the newspaper) to go everywhere eat everything take people with me but I couldnt always fit in so many meals so I just phoned numbers from the phone book calling randomly and asked people what do they eat But none of the recipes from restaurants or from home cooks worked. You have to try and use your common sense. You cant force people to be absolutely correct. In Spain I observed people cooking at cooking schools. In cooking and catering schools they teach Spanish and International food but all that the young people want is to use machines and technology. They are all besotted by Ferran. On the other hand there is almost a backlash in Spain where people are concerned with preserving their culture and region. The threat has galvanized them to not give up on their beloved recipes. Speaking of Spain where do you stand on culinary innovationI am very impressed by a lot of innovators I am not only tolerant but I think everyone is free to invent. Of course a lot of chefs think they have to invent everyday to be respected. In the past people had pride in their dishes even classics. Now people feel driven to do something new. In a way a lot of messing about happens artificially. When there was change it was due to society--like hybrid dishes of different cultures that took 100 years to become part of the culture. There is change in food when culture changes but to have a culture where you despise tradition and only revere innovation is very sad. Food is part of identity. Countries like France and Italy should not give up there identity besides most people are not very good at innovation. I dont see the point in innovating to surprise or to gain prestige when it doesnt taste all that good. Sometimes the look becomes more important than the taste. Food photography made an impact that way years ago. The visual is important but you want to eat something that has real taste. Knowing what to put together is very important. If you area great creator you are fantastic. If you are just trying to be in fashion chances are its not worth it. In Spain chefs have gone through innovation using science and technology and because of the reaction by Spaniards they have come back a bit. The roots are there they want to use regional ingredients. I love the cooking of Santi Santamaria (a prominent avant-garde Catalan and Spanish chef). Its exciting but its not what home cooking is about. Its good to shake the Spaniards out of bad habits for example frying everything. The French had the same experience with Nouvelle Cuisine but they have gone back to their original culture. Its important to find the balance between old and new. For restaurant chefs its one thing but for home cooks its another thing altogether. It seems people entertain more in England than they do in the US but sometimes what they do is too fussy (influenced by the culinary innovators). To entertain you should do one big dish and have everyone serve themselves. People are afraid to entertain because they think its old-fashioned. Thats a shame. READ MORE Check out the post from yesterday part 1 of my interview with Claudia RodenDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Cooking with Amy", Content="Interview with Claudia Roden - part 1 Photo credit Red Saunders Historian Simon Schama once stated Claudia Roden is no more a simple cookbook writer than Marcel Proust was a biscuit baker. She is rather memorialist historian ethnographer anthropologist essayist poet. It is for all these reasons that I am such an admirer of Claudia Roden. By her own admission she has sometimes led a very charmed life traveling eating and learning about food and culture. Presenting food in a cultural context is what sets her cookbooks apart and has won her such respect and acclaim. Roden resides in London but was recently in the US for the James Beard Awards where her landmark book The Book of Middle Eastern Food was inducted into the Cookbook Hall of Fame. Today read part 1 of my interview with her and tomorrow come back for part 2. Which cookbook of yours is your favorite and whyThe first one The Book of Middle Eastern Food is very important to me because it was a labor of love well all of them are labors of love but that one meant a lot to me because I was researching an area I thought I would never go back to ever again. It was a part of a world that was so important to my family. I researched a lot of it from talking to people a lot of the recipes had never been in print before. There were so many people from different cultures living in Egypt where I grew up my family was from Syria and Turkey married into families from Morocco. When I was researching baklava everyone said its ours so I realized it was important to research and really learn about these recipes many of which had never been written in a cookbook before. It was very important in that way but every book is important too. The Jewish book (The Book of Jewish Food) was emotional too food is always emotional for me always important. Even with the Italian book (The Good Food of Italy) I wanted to visit every region I was traveling for the Sunday Times (UK) and expanded my work for the book. It was a joy. I love the stories poems and jokes that you share in The Book of Middle Eastern Food whose idea was it to include those and how did you collect them It was my idea the reason was when I was researching the book when I was just collecting middle eastern recipes and I would tell people what I was doing and they were horrified Cooking was considered a low thing in England at the time and recipes even lower. The idea that it was the Middle East was very off-putting--they thought it would be all recipes for testicles and eyeballs. I needed to bring in the culture and what it meant to me so it would be important. Why would anyone eat brown beans unless they understand that theyve been eaten for a very long time that peasants who doesnt eat eat meat eat them etc. I wanted to endear the readers to the food through the culture. I went to the British Library and met with the Middle East curator and asked for resources. Everything was from the 13th century--Damascus Bagdhad culinary manuals they were in Arabic but they had been translated. I became fascinated with the recipes of the past that we were cooking with dishes that were cooking as well. I wasnt particularly interested in Jewish food at the time I thought we thought we were eating like everyone else and in a way we were. My fascination began with finding those books and finding studies and analysis based on society from food. Ive always marveled that as a Jewish woman you were able to gain access to so many Middle Eastern cultures. Were most of the recipes gathered in exileEveryone I talked to was in exile at the time and thats how I found people--Lebanese in Paris the Iraqis in London. I went to the Persian embassy not to ask for a visa but if I could meet the diplomats wives. Ive been in Lebanon for the last book I went to meet with people at Hezbollah. I was the most popular person everyone wanted to talk to me about food Everyone knew I was Jewish but they were fascinated. Jews were part of that world (the Middle East) for centuries. We improved their lives their economy and their culture. We share the same humor. I find that all the young journalists want Jewish recipes. In a way I find that there is nothing better than food to bond and open doors. I find the Christian communities can be difficult with the Jews because they have been in competition as minorities with us though not in Lebanon. There is the old blood libel. There was an animosity. But now they are the ones who are suffering. I go to the Middle East to give lectures. I go to Turkey a lot--I am friends with Sufis and they come with me to the synagogue. One day a religious woman who I am closest to asked me was it the Jews who bombed the twin towers All I could do was laugh. There is a lot of anti-Jewish propaganda but they dont deeply believe it. When they see you as a person they are fascinated. I went to a literary festival in Dubai there were Israelis attending and everyone wanted to talk to them. In Spain there was a Taste of Peace event with chefs from the Middle East.There is need to connect through food. I am never worried when I go to the Middle East. Food is a bond. I have been trying to do a chefs for peace event in the West Bank. The Israelis are keen to do it but the Palestinians say the time is not right.What do you think will get people back in the kitchen cooking again We have the same problem with people not cooking in England as you do in the US. It does seem because people have less money they are coming around to seeing that it is cheaper to cook at home than to eat out. There is a new trend of people growing there own vegetables. TV chefs have helped to popularize this. A lot of people are buying CSA boxes. I think this might get people started again. Jamie Oliver has a new series on 20 minute cooking. I admire him very much. He has done fantastic good. Cooking in 20 minutes might get people back in the kitchen. In my recipes I have some that take a long time but they are just on the stove for a long time unattended.  Habits have changed. I want to make things lighter and healthier. I want to write the way people cook now. Some dishes I tried that took a long time thats ok but it has to be really fantastic. One night 3 of my granddaughters stayed the night and I made a Catalan cannelloni with stuffing that had liver and brains and lots of steps. I told them my rules it must be really really delicious to be worth taking a long time and lots of work to prepare and they were very keen on cannelloni but they told me the dish is not worth the effort. With the pressure to cook in less time do you recommend using a pressure cooker In Morocco and Spain it is very commonly used but Im convinced dishes cooked in the pressure cooker dont have the same flavor. When using it you must finish dishes with the top off and let sauces reduce.  Cooking starts with oil which carries the scents and flavors. When I was in Morocco a young man complained to me that he used to walk the streets and could tell what everyone was cooking and now he cant smell anything. Pressure cookers encourage overcooking and pureeing.READ MORE Check out the concluding post part 2 of my interview with Claudia RodenDO NOT STEAL 2010 Cooking with Amy. All rights reserved. This material may NOT be published rewritten or redistributed without permission. If you are reading this post somewhere other than Cooking with Amy or Gather.com then the site where you found this post is illegally publishing copyrighted material." },
				new Feed { Source="Closet Cooking", Content="Turkey and Zucchini Green Chili With the weather starting to get cooler I have been thinking about soups and stews a lot more.  Even with the cooler weather the markets still have a lot of late summers produce and I figured that it was the perfect time to enjoy some of those vegetables in a warm and hearty stew.  I remembered seeing some tomatillos the week before and I was immediately thinking about a salsa verde and a green chili.  A green chili or a chili verde is a chili that uses tomatillos and green chilis such as poblano and jalapeno chilies instead of tomatoes and red chilies.  I tend to associate turkey with fall and it had been a very long time since I had used any so it was the natural meat for the chili.  With the base of the chili done I packed in more vegetables in the form of some zucchini and corn and I bulked everything up with some white beans.  Despite the fact that the salsa verde was already bringing a lot of flavour to the table I could not resist adding even more with a heaping tablespoon of cumin along with some oregano.  This ended up being one really tasty chili that was also nice and tasty and it really hit the spot on a cool dayTurkey and Zucchini Green Chili(makes 4 servings)Printable RecipeIngredients1 tablespoon oil1 onion (diced)4 cloves garlic (chopped)1 tablespoon cumin (toasted and ground)1 pound ground turkey3 cups chicken stock2 cups salsa verde1 (19 ounce) can white beans (rinsed and drained)1 teaspoon oregano2 jalapeno peppers (or to taste diced)salt and pepper to taste1 pound zucchini (cut into bite sized pieces)1 cup corn1 handful cilantro (chopped)Directions1. Heat the oil in a pan.2. Add the onion and saute until tender about 5-7 minutes.3. Add the garlic and cumin and saute until fragrant about a minute.4. Add the turkey and cook until no longer pink about 5-10 minutes5. Add the stock salsa verde beans oregano peppers salt and pepper and simmer for 20 minutes.6. Add the zucchini and corn and simmer until the zucchini is tender about 10 minutes.7. Remove from heat and mix in the cilantro.Similar RecipesPork Chili VerdeChicken White ChiliTurkey White ChiliSalsa Verde Lasagna" },
				new Feed { Source="Closet Cooking", Content="Roasted Red Peppers Roasted red peppers have to be one of my favorite foods and right now the farmers market is filled with perfectly field ripened red peppers that are just waiting to be roasted.  Roasting the red peppers makes them nice and tender and it intensifies their flavour and sweetness along with imparting them with a touch of smokiness.  Although you could easily buy jarred roasted red peppers they are so easy to make at home and always good  There are several ways of roasting tried peppers and I find the easiest way is to broil them in the oven one large baking sheet at a time.  You can easily use this method to roast other peppers like poblanos or even jalapeos. Roasted red peppers keep really well in the freezer so every year around this time I pick up a large basket full of those red peppers from the farmers market and I spend a weekend roasting them all up.  I like to freeze the roasted red peppers individually in zip-lock sandwich bags so that I can quickly grab them as needed throughout the rest of the year.  Although you can peel the skins off before freezing them I tend to leave them on as it would take a bit of time to peel them all up front whereas it only takes a moment to peel the one you are using when you thaw it.Some of the tricks to roasting red peppers is to let the skin fully char and blacken.  As it does it blisters up of of the flesh making it easier to peel.   Another trick  is placing the charred red peppers in a sealed container while they are still hot.  This created a kind of steaming effect while they cool that also makes them easier to peel. You can use any type of sealable container or even a plate on top of a bowl would work.  Just let them sit in the container until they are cool enough to handle and then the skin should easily pinch off.  When I am freezing the peppers the zip-lock bags that I will store them in are perfect but if I am making them to use right away I prefer to use a reusable container.How to Roast Red Peppers(makes 1 roasted red pepper)Printable RecipeIngredientsred peppersDirections1. Cut the red peppers in half remove the stem and seeds.2. Place the red peppers on a baking sheet with the cut side facing down.3. Preheat the oven to 450F and then change it to broil.4. Place the baking sheet on the top shelf in the oven and broil until the outer layer of the skin has blackened about 10-20 minutes.5. Place the peppers in a zip-lock bag or other sealable container seal and let them cool until you can handle them about 20 minutes.6. Remove the skins from the peppers.  The skins should easily pinch off.Use inRoasted Red Pepper PestoHtipiti (Greek Roasted Red Pepper and Feta Cheese Dip)White Bean and Roasted Red Pepper DipRoasted Red Pepper HummusMuhammara (Middle Eastern Pepper and Walnut Dip)Marinated Feta with Olives and Roasted Red PepperRoasted Red Pepper and Feta RiceChicken GyrosRoasted Red Pepper Pistachio and Feta Stuffed ChickenGrilled Portobello and Roasted Red Pepper Sandwich with Pistachio PestoGrilled Vegetable PaniniChicken and Roasted Red Pepper Panini with Cilantro Pesto and FetaBalsamic Glazed Chicken Sandwich with Roasted Red Peppers and Goat CheeseItalian Sausage and Roasted Red Pepper Lentil StewRoasted Cauliflower and Red Pepper Farro SaladRoasted Eggplant Red Pepper and Green Bean Pomegranate SaladRoasted Vegetable Quinoa SaladPasta with Italian Sausage Roasted Red Peppers Olives and Goat CheeseRoasted Cauliflower and Red Pepper SoupRoasted Asparagus and Red Pepper Farro SaladRoasted Tomato SoupBlack Bean and Roasted Pepper SoupZucchini Bread with Roasted Red Peppers and FetaPizza with Grilled Chicken Roasted Red Peppers and Asiago Cheese" },
				new Feed { Source="Closet Cooking", Content="Hot Cheesy Mushroom Dip Mushrooms have to be one of my all time favorite foods which is why when Mushrooms Canada approached me about taking part in an international mushroom tournament I jumped at the chance to take part  The name of the game is Mushroom Masters A Tournament of Taste and the basic idea behind it is that food bloggers in association with mushroom organizations from Canada the United States and Australia would develop and photograph new mushroom recipes to face  off against each other once a week for the month of September which is mushroom month.  The photographs have been appearing on Taste Spotting for the show down for the last few weeks this week it was my turn to represent team Canada with a tasty new mushroom dish.Luckily I drew the wild card and I was allowed to use pretty much any commonly available mushroom.  My biggest problem for this challenge however was that I had too many ideas When I sat down to brain storm I ended up with over a dozen ideas within a few minutes.  I was able to narrow the list down to six recipes which I ended up making all in one weekend and this hot cheesy mushroom dip was my favourite from among them.I had been craving a hot cheesy dip for a while and the idea one infused with mushroomy goodness was too hard to resist.  I started out by sauteing some mushrooms in butter along with some onions garlic and thyme and I finished things of with a splash of wine.  You could use pretty mush any mushroom you want in this dip and I went for my goto mushroom the cremini mushroom to keep things nice and simple.  I then pureed half of the mushrooms in a food processor to make sure that the mushroom flavour penetrated the entire dip and I left the other half of the mushrooms the way they were so that I could also enjoy their texture.  From there I incorporated the mushrooms into a pretty standard hot cheesy dip base and baked the whole thing in the oven until it was nice and bubbling and golden brown.I have to say that if you like mushrooms and you like hot cheesy dips then this is the dip for you  I was immediately hooked and the entire batch disappeared much quicker than it should have  I served the mushroom dip on toasty sliced baguette along with a glass of that white wine.Take a look at the Hot Cheesy Mushroom Dip Recipe on Mushrooms Canadas BlogTake a look at this weeks Mushroom Masters A Tournament of Taste contest on Taste Spotting and voteSimilar RecipesMushroom BouyiourdiHot Caramelized Onion DipHot Cheesy Bean DipJalapeno Popper DipDisclaimer I have received compensation from Mushrooms Canada for my recipe and photos." },
				new Feed { Source="Closet Cooking", Content="Fried Green Tomatoes with Shrimp Remoulade Last week a kind reader left a comment on my fried green tomatoes recipe suggesting that I try fried green tomato shrimp remoulade.  I am always looking for new ways to enjoy fried green tomatoes and there is no way that you could go wrong topping them off with some shrimp in a tasty remoulade sauce.  As luck would have it I remembered seeing some green tomatoes at the farmers market last week so the fried green tomato shrimp remoulade made it to my meal plan really quickly )  This recipe is pretty easy and you can even make the remoulade sauce the day before which works out for the best as the flavours get a chance to mingle overnight.  While researching this recipe I found out that this dish is often served with the shrimp and remoulade sauce chilled while the fried green tomatoes are piping hot to add a nice contrasting temperature to the dish.  I have to say that the tangy fried green tomatoes go really well with the sweet and juicy shrimp in their tasty remoulade sauce  This recipe would work equally well for a light meal of as an appetizer.Fried Green Tomatoes with Shrimp Remoulade(makes 2 servings)Printable RecipeIngredients2 cups salad greens (optional)6 slices fried green tomatoes (hot)12 large shrimp (shelled deviened cooked and chilled)1 batch remoulade sauce (chilled)Directions1. Divide the salad greens and fried green tomatoes between two plates topping the tomato slices each with 2 shrimp and a tablespoon remoulade sauce.Similar RecipesFried Green TomatoesShrimp Po Boy" },
				new Feed { Source="Closet Cooking", Content="Chimichurri Steak Sandwiches with Roasted Corn and Red Pepper Salsa The reason that I was making chimichurri sauce so late in the summer was that I had just one more dish with corn that I just had to get in before it disappeared from the farmers market.  A while ago I came across a photo which I cannot find now of a sandwich with sliced steak a green sauce and corn and I immediately thought that it was a grilled steak with chimichurri and corn salsa sandwich.  I can take any excuse to pick up a nice piece of steak and barley sear it to medium rare perfection and the thought of combining that tender steak with a flavourful chimichurri sauce and a sweet corn and red pepper salsa all wrapped up into a sandwich was impossible to resist.  Luckily I was still able to get some corn at the farmers market the week after I got back from my vacation and I got a chance to make these delightful sandwiches.  Although you have to cook a steak make the chimichurri make the salsa and then assemble everything into a sandwich it is definitely worth the effort as these sandwiches are packed with flavour  I tried some of the leftovers with some crumbled feta and the saltiness complimented the sweetness of the salsa particularly well.Chimichurri Steak Sandwiches with Roasted Corn and Red Pepper Salsa(makes 4 servings)Printable RecipeIngredients1 pound steak (cut of choice I used a rib eye)1 tablespoon chili powdersalt and pepper to taste1 tablespoon oil4 buns1 batch chimichurri sauce1 batch roasted corn and red pepper salsa (see below)14 cup feta (crumbled optional)Directions1. Season the steak with chili powder salt and pepper.2. Brush the grill with oil.3. Grill the steaks at high heat until done to your preference about 2-4 minutes per side for rare to medium rare.4. Set the steak aside let rest for about 5 minutes and then slice thinly.5. Assemble sandwiches and enjoy.Roasted Corn and Red Pepper Salsa(makes 2 cups)Ingredients3 ears of corn1 small red pepper (finely diced)1 jalapeno pepper (finely diced)14 cup sweet onion (finely diced)1 handlful cilantro (chopped)1 lime (juice)14 teaspoon cumin14 teaspoon hot smoked paprika (optional)salt and pepper to tasteDirections1. Peel the husks of the corn back and remove the silk.2. Pull the husks back over the corn and roast in a preheated 350F oven until cooked about 30-40 minutes.3. Let the corn cool and then cut the kernells off.4. Mix everything.Similar RecipesSteak ChimichurriPhilly Cheese Steak SandwichGrilled Roast Beef and Cheese Sandwich" },
				new Feed { Source="Closet Cooking", Content="Chimichurri Sauce Chimichurri is an Argentinian green sauce made primarily from parsley.  In addition to the parsley it commonly contains garlic vinegar and red pepper flakes.  Of course there are many variations on the sauce and it commonly includes other ingredients.  I play around with this chimichurri recipe a lot but this is my favorite version so far. Chimichurri is nice and light and fresh and just packed with flavour and it goes really well on grilled meats especially steak.  With all of the fresh herbs it certainly smacks of summer but I am still in denial so making some now was a great way to pretend that the cooling weather outside was just a figment of my imagination.Chimichurri Sauce(makes 2 cups)Printable RecipeIngredients1 cup parsley (packed)14 cup cilantro (packed)1 tablespoon fresh oregano (chopped optional)4 cloves garlic (peeled)1 teaspoon red pepper flakes14 teaspoon cumin (optional)14 teaspoon hot smoked paprika (optional)14 cup oil2 tablespoon white wine vinegar12 lemon (juice and zest)salt and pepper to tasteDirections1. Puree everything in a in a food processor.Use onSteak ChimichurriChimichurri Steak Sandwiches with Roasted Corn and Red Pepper SalsaSimilar RecipesParsley Pesto" },
				new Feed { Source="Closet Cooking", Content="Texmex Style Corn Fritters While I was at the farmers market on the weekend I noticed that a few less farmers had corn and there were still a few things that I wanted to do with corn so I picked some up right away.  The other week I made some Thai style corn fritters that I really enjoyed and while I was eating them I figured that a Mexican flavoured version would also be amazing.  The idea for the recipe was pretty simple with the main flavours coming from some smoky chipotle chili powder along with some freshly toasted and ground cumin.  From there I needed to add something green and green onions and cilantro were the perfect fit.  Mexican dishes very often contain cheese and at first I was thinking that I would just sprinkle some cheese on top when I served the fritters but then I thought Why not add the cheese directly to the fritters and let it melt and get all gooey and good while the fritters cook  I then finished the fritters off with hit of lime juice to brighten things up.  The Mexican inspired corn fritters were just as good as I imagined and I really like the way that the cheddar cheese melted and fried as the fritters cooked just like that cheese that spills out the side of a grilled cheese sandwich and browns and gets all mmm mmm good  I served the corn fritters with some salsa and a dab of sour cream.Texmex Style Corn Fritters(makes 2 servings)Printable RecipeIngredients2 cups corn14 cup cornmeal14 cup flour1 egg12 cup cheddar cheese (grated)12 tablespoon chipotle chili powder12 teaspoon cumin (toasted and ground)1 green onion (chopped)1 handful cilantro (chopped)1 tablespoon lime juice2 tablespoons oil14 cup salsaDirections1. Mix the corn cornmeal flour egg cheddar cheese chipotle chili powder cumin green onion cilantro and lime juice in a bowl.2. Heat the oil in a pan.3. Spoon the corn mixture into the pan to form patties and cook until golden brown on both sides about 2-4 minutes per side.4. Serve with salsa.Similar RecipesThai Style Corn Fritters with Sweet Chilli SauceCorn and Zucchini QuesadillasMexican Corn on the Cob (Elote)Smokey Chipotle Corn Chowder" },
				new Feed { Source="Closet Cooking", Content="Balsamic Roasted Tomato Caprese Sandwich As I was enjoying my balsamic roasted Tomato caprese salad a thought crossed my mind This flavour combination would be great in a sandwich  I am currently hooked on balsamic roasted tomatoes and I could not resist indulging and making them again this time in sandwich form. )  As good as the salad version was the sandwich was even better  There is just something amazing about wrapping things in a soft and warm fresh baguette and it really worked with this sandwich.  I mean just look at all of those juices pouring out of that sandwich  And even better those juices soaked into the baguette infusing it with all of their magical flavours.Balsamic Roasted Tomato Caprese Sandwich(makes 4 sandwiches)Printable RecipeIngredients4 ripe field tomatoes (cut in half)2 cloves garlic (chopped)salt and pepper to taste2 tablespoon olive oil1 tablespoon balsamic vinegar1 ball fresh mozzarella (sliced)1 handful basil leaves1 baguette (cut into 4 sandwich sized pieces and sliced in half)Directions1. Place the tomatoes on a baking sheet with the cut side facing up.2. Sprinkle with the garlic salt and pepper and drizzle with the oil and vinegar.3. Roast the tomatoes in a preheated 350F oven for an hour.4. Let the tomatoes cool assemble the sandwich and and enjoy.Similar RecipesBalsamic Roasted Tomato Caprese SaladSundried Tomato Pesto Grilled Cheese SandwichBurrata Crostini with Roasted TomatoesRoasted Tomato Soup" },
				new Feed { Source="Closet Cooking", Content="Balsamic Roasted Tomato Caprese Salad Over the past few weeks I have been enjoying a lot of the locally grown field tomatoes.  Late summer is the best time to enjoy the perfectly ripe field tomatoes as they are nice and juicy and full of flavour.  The hot house tomatoes that you can get year round are nice enough but they simply do not compare to the field tomatoes at this time of year and I have been taking advantage of them.  As tasty as the field ripened tomatoes are I often like to roast them to concentrate their flavour even more.  Roasted tomatoes make for some really tasty pasta sauces but this time I was looking for something a little different and I combined them with another of my favourites the caprese salad.  I kept the balsamic roasted tomato caprese salad nice and simple and it did not disappoint  The warm roasted tomatoes were full of flavour and they started to melt the fresh mozzarella making it seem like it was melting in your mouthBalsamic Roasted Tomato Caprese Salad(makes 4 servings)Printable RecipeIngredients2 ripe field tomatoes (cut in half)1 clove garlic (chopped)salt and pepper to taste1 tablespoon olive oil2 teaspoons balsamic vinegar1 ball fresh mozzarella (sliced)1 handful basil leavesDirections1. Place the tomatoes on a baking sheet with the cut side facing up.2. Sprinkle with the garlic salt and pepper and drizzle with oil and vinegar.3. Roast the tomatoes in a preheated 350F oven for an hour.4. Let the tomatoes cool assemble the salad and enjoy.Similar RecipesCaprese SaladDiced Caprese SaladBurrata Crostini with Roasted TomatoesRoasted Tomato Soup" },
				new Feed { Source="Closet Cooking", Content="Chicken and Sweet Corn Soup While I was on vacation I got the chance to eat at a Chinese restaurant and the chicken sweet corn soup on the menu caught my attention.  There were just so many things that I wanted to try that I did not end up ordering the sweet corn soup but I figured that I could make it at home.  With the end of corn season within sight it was time to try making a sweet corn soup and this weekend I got the chance to.  I went with a very simple version of the soup with garlic ginger green onions and soy sauce for flavour in addition to the corn and chicken and I could not resist adding a bit of heat in the form of a birds eye chili.  One thing that I really like about many Chinese soups is the egg drop which adds a really amazing texture to the soup and makes it a bit more filling.  I also added a touch of corn flour to thicken the soup up a bit.  (If you prefer an even thicker soup feel free to add more corn flour.)  One thing that I find is quintessential about Asian cuisine is that aroma of toasted sesame oil so I added a few drops to the soup to finish it off.  The sweetness of the corn plays really well with the salty soy sauce seasoning in this soup and it was a great way to enjoy some of the last of the fresh locally grown cornChicken and Sweet Corn Soup(makes 4 servings)Printable RecipeIngredients12 tablespoon oil4 green onions (sliced and divided between whites and greens)2 cloves garlic (chopped)1 tablespoon ginger (grated)1 birds eye chili (finely chopped optional)4 cups chicken stock12 pound chicken (boneless and skinless)2 cups corn (freshly cut from the cob)1 tablespoon corn flour2 tablespoons light soy saucepepper to taste2 eggs (lightly beaten)1 teaspoon toasted sesame oilDirections1. Heat the oil in a large pan.2. Add the whites of the green onion garlic ginger and chili and saute until fragrant about a minute.3. Add the stock chicken corn flour soy sauce and pepper bring to a boil and simmer covered for 20 minutes.4. Fish out the chicken shred it with a pair of forks and return it to the soup.5. Pour in the egg in a slow stream while stirring.6. Remove from heat add the sesame oil and serve garnished with the greens of the green onions.Similar RecipesChinese Hot and Sour SoupSweat Corn Ice CreamChicken Noodle SoupAvgolemono Soup" },
				new Feed { Source="Closet Cooking", Content="Zucchini Pistou Pasta With the vacation it has been almost three weeks since I last visited the local farmers market and I am really starting to miss it  No matter the grocery stores are still full of local produce including lots of cheap zucchini and I knew just what I could use some for.  This zucchini pistou recipe originally from from Cooking Light has been making its way around the food blogging sphere and it seemed a really nice way to enjoy some fresh zucchini.  A pistou is similar to a pesto and since pestos can be made from many different ingredients why not a zucchini pistou  I particularly like the way that this recipe includes zucchini in two different forms both pureed in the pistou and sliced in the pasta for lots of zucchini goodness.  For the pasta I went with penne noodles as whenever I make a zucchini pasta I like to cut the zucchini in roughly the same shape and size of the penne noodles.  This zucchini pistou is really easy to make and a perfect way to use up some of your remaining zucchiniZucchini Pistou Pasta(makes 4 servings)Printable RecipeIngredients1 tablespoon olive oil2 12 cups zucchini (cut roughly penne shaped)1 cup basil (packed)14 cup parmigiano reggiano (grated)1 clove garlic2 tablespoons pine nuts (toasted)12 lemon (juice)salt and pepper1 tablespoon olive oil1 small onion (diced)2 cloves garlic (chopped)12 pound pasta (I used whole wheat penne)14 cup heavy cream14 cup parmigiano reggiano (grated)12 teaspoon pepperDirections1. Heat the oil in a pan.2. Add the zucchini and saute until tender about 5 minutes and set aside.3. Place 13 of the zucchini in a food processor along with the basil parmigiano reggiano garlic pine nuts lemon juice salt and pepper.4. Heat the oil in the pan.5. Add the onions and saute until tender about 5-7 minutes.6. Add the garlic and saute until fragrant about a minute.7. Add the remaining zucchini and set aside.8. Meanwhile cook the pasta as directed on the package reserving 13 cup of the pasta water when you drain it.9. Add the reserved pasta water to the food processor and puree it contents.10. Add the pistou to the pasta along with the zucchini and heavy cream and toss to coat.11. Serve garnished with parmigiano reggiano and pepper.Similar RecipesZucchini CarbonaraPistachio Asparagus Pesto PastaItalian Sausage Zucchini and Garlic Scape PastaBasil Pesto Pasta" },
				new Feed { Source="Closet Cooking", Content="Back in the Kitchen After a week long whirlwind adventure in Seattle and Vancouver I am back in my closet sized kitchenIt all started with the International Food Bloggers Conference (IFBC) in Seattle which was filled with amazing people and tasty food.  I was absolutely thrilled to have the chance to meet some food bloggers in person that I had previously only known online.  I also had the opportunity to meet many new friends and the conversations were never dull.  The weekend was filled with seminars some of which I felt did not really apply to me but I learned a bit and I look forward to trying to improve Closet Cooking with what I have learned.  In between all of the seminars was of course a ton of food and drink.  Out of all of the great food I have to say that the food truck lunch was my favorite.  There are no food trucks here in Toronto and I had really been looking forward to trying out some taco truck tacos and Seattles taco trucks did not disappointed  You can see some of my photos from the IFBC hereInternational Food Bloggers Conference (IFBC) GalleryAfter the IFBC was over I stayed in Seattle for a few days to explore everything foodie in Seattle and thanks to your amazing suggestions I had a very delicious time  I got to try some classics like dungeness crab cakes Pike Place chowder Beechers mac and cheese the Crumpet Shop and the Salumi mozzarella mole sandwich.  For those that are interested you can see more of my adventures in Seattle hereSeattle 2010 GalleryNext up was a trip back to Canada to visit Vancouver BC and was it ever an adventure   Day one included a visit to Canada Place followed by the Lonsdale Market where I got to try a Canadian treat the beaver tail and I finished the day off with a stop in Chinatown.  Up next was a quick walk through Stanley park followed by an afternoon in the Granville Market.  Although my trip was full of great food I have to say that the meal that night at Vijs was by far the best even though there was a two hour wait to get a seat  The next day it was back to Chinatown to walk through the Dr. Sun Yat-Sen Classical Chinese Garden followed by a quick walk through Yale Town and Gas Town and then it was off to the Richmond night market.  The night market was amazing and just packed with tasty food.  I got the chance to try both takoyaki and taiyaki which I have been wanting to try for a while.  On my final day in BC it was up to Whistler to experience some of BCs natural beauty and to scale to the top of the mountain.For those that are interested you can see more of my adventures in Vancouver hereVancouver 2010 GalleryTime to get cooking" },
				new Feed { Source="Closet Cooking", Content="On Vacation Tomorrow I am off to Seattle to attend the International Food Bloggers Conference which should be loads of fun  After the conference is over I will be spending a few days exploring Seattle and all that it has to offer.  What are the dont miss foodie things to do in Seattle after visiting the Pike Market PlaceAfter a few days in Seattle I am heading back to Canada but I will be stopping off in Vancouver for the long weekend before returning to Toronto.  What are the must do foodie things in Vancouver after visiting the Granville Market  For some reason the japadogs keep popping up in my searches. )Time to finish packing.  Ill be back in the kitchen and blogging after the long weekend" },
				new Feed { Source="Closet Cooking", Content="Tomato and Basil Pesto Parmesan Tart Not too long ago I made a zucchini and sun dried tomato pesto parmesan puff pastry tart that I really enjoyed  I particularly liked how well the pesto worked on the tart and I could not help but think about how other pestos would also be fantastic on tarts.  With all of the perfectly ripe local field tomatoes at the farmers market right now along with the recent inspiration to use basil pesto in a caprese salad I knew exactly what my next tart would be a tomato and basil pesto tart.  Tomato and freshly made basil pesto is one of those great flavour combinations and it was absolutely amazing on a bed of light flaky and buttery pastry  The tomatoes slightly roasted on the top of the tart intensifying their flavour even more.Tomato and Basil Pesto Parmesan Tart(makes 4 servings)Printable RecipeIngredients1 sheet puff pastry (thawed according to the packages directions)12 cup basil pesto12 cup parmigiano reggiano (grated)2 large ripe field tomatoes (thinly sliced)1 tablespoon olive oilDirections1. Roll the puff pastry out to a 16x10 inch rectangle.2. Score a line around the puff pastry 12 inch from the edge.3. Spread the pesto over the center of the dough and top with the parmigiano reggiano.4. Arrange the tomato slices in a single layer on top of the pesto and parmigiano reggiano.5. Brush the outside 12 inch of the pastry with the oil.6. Bake in a preheated 400F oven until the pastry is golden brown about 15-25 minutes.Similar RecipesZucchini and Sun Dried Tomato Pesto Parmesan TartTomato TartTomato PieGreek Style Tomato and Feta Fritters" },
				new Feed { Source="Closet Cooking", Content="Basil Pesto One of my favourite things about the summer is all of the fresh basil and one of my favourite things to do with the basil is to make basil pesto.  Basil pesto is as easy to make and pureeing everything in a food processor and it captures the essence of summer perfectly.  The easiest way to enjoy basil pesto is on pasta but you can also use it as a condiment and it adds a ton of summery fresh flavour to whatever you add it to and I particularly like adding it to sandwiches.  Another great thing about basil pesto is that it freezes well so you can save some of summers essence for later.  If you plan on freezing it omit the parmigiano-reggiano and add it when you thaw it out.Basil Pesto(makes 1 cup)Printable RecipeIngredients1 cup basil (packed)1 clove garlic2 tablespoons pine nuts (toasted)14 cup parmigiano-reggiano (grated)3 tablespoons olive oillemon juice to tastesalt and pepper to tasteDirections1. Place everything into a food processor and blend.Similar RecipesSun Dried Tomato PestoRoasted Red Pepper PestoPistachio Asparagus Pesto PastaSpinach Pesto (aka Spanakopita Pesto)" },
				new Feed { Source="Closet Cooking", Content="Peach Amaretti Crumble The farmers market has been flooded with fresh locally grown peaches these last few weeks and I certainly have been enjoying them. This weekend I got a few too many of them to finish in the week simply by snacking on them and it was about time that I got down to making something with them.  Crisps crumbles and cobblers are by far one of the easiest ways too use a lot of fruit and this crumble has been on my mind for a while.  The main idea of this crumble was to use amaretti cookie crumbs to make the topping and to hit the peach filling with a splash of amaretto.  To continue building on the almond flavours I added some slivered almonds to the topping as well.  This crumble was as easy as cutting up some peaches mixing the topping and baking it and the rewards of so little effort are amazing  The amaretti crumble topping was phenomenal and it went really well with the peaches.  Of course I absolutely had to serve the peach crumble with a scoop of melting vanilla ice cream.Peach Amaretti Crumble(makes 4 servings)Printable RecipeIngredients2 pounds ripe peaches (pealed stoned and sliced)14 cup amaretto1 tablespoon cornstarch23 cup flour23 cup amaretti cookies (crushed)14 cup almonds (sliced)23 cup brown sugar13 cup butter (melted)Directions1. Toss the peaches in the amaretto and cornstarch and place them in an 8x8 inch baking dish.2. Mix the flour amaretti cookies almonds brown sugar and butter and pour onto the peaches.3. Bake in a preheated 350F oven until it is bubbling and the top is golden brown about 30-45 minutes.Similar RecipesVanilla Apple Crisp with Caramel SauceBlueberry Amaretti CrumblePeach BreadPeach and Blueberry Cobbler" },
				new Feed { Source="Closet Cooking", Content="Burrito Bowls Burritos are one of my favorite Mexican dishes and they were on the top of my list of things to do with the tequila lime grilled chicken breasts but I was feeling a little lazy and decided to go with a deconstructed burrito or a burrito bowl instead.  A burrito bowl is just what it sounds like all of the contents of a burrito piled on top of each other in a bowl rather than wrapped up in a tortilla.  Every once in a while I like to go with the burrito bowl rather than a burrito and when you make them by yourself you can control both the portion size and exactly what goes in it so you can keep it nice and light and healthy without compromising on flavour.  For this burrito bowl I started with a base of cilantro lime rice made with a brown rice some creamy and spicy seasoned black beans a fresh pico de gallo and of course the tequila lime grilled chicken.  I finished the burrito bowls off with a dollop of light sour cream and a touch of grated jack and cheddar cheese for that extra hit of flavour.Burrito Bowls(makes 2 servings)Printable RecipeIngredients1 cup cilantro lime rice (warm I used brown rice)12 cup seasoned black beans12 cup pico de gallo1 tequila lime grilled chicken breast (sliced and divided)14 cup  jack and cheddar cheese (shredded)2 tablespoons sour cream (optional)1 handful cilantro (chopped)Directions1. Assemble and enjoy.Similar RecipesBurritosTacosTacos RiceTaco Salad" },
				new Feed { Source="Closet Cooking", Content="Tequila Lime Grilled Chicken Tequila and lime chicken is super quick and easy way to cook up some chicken that is particularly nice in the summer when you can make it on the grill.  One of the things that I really like about this recipe is that other than the tequila and the lime you can play around with the ingredients to change up the flavour profile.  I often like to use chipotle chilies in adobo sauce for the source of heat or even a freshly ground chili pepper blend but in the summer with all of the fresh ingredients around it is hard to resist making it an all green sauce with jalapeos and a hit of cilantro.  If you are in a hurry you can marinate the chicken for as little as a half an hour but over night is best.  Another great thing about this tequila lime chicken is how versatile it is you can use it in tacos burritos sandwiches and in the summer it goes great as a topping for salads to make a nice light meal.Tequila Lime Grilled Chicken(makes 2 servings)Printable RecipeIngredients14 cup tequila12 cup lime juice2 tablespoons oil1 teaspoon lime zest1 jalapeno pepper2 cloves garlic1 handfull cilantro1 teaspoon cumin (toasted and ground)1 teaspoon salt12 teaspoon black pepper1 pound chicken breasts (boneless and skinless)Directions1. Puree the tequila lime juice oil lime zest jalapeno garlic cilantro cumin salt and pepper in a food processor.2. Place both the chicken and the marinade in a freezer bag and marinate over night.3. Grill the chicken until cooked about 5-7 minutes per side.Similar RecipesTequila Lime ShrimpChipotle Grilled ChickenBuffalo Grilled ChickenJerk Grilled ChickenUse inBurrito Bowls" },
				new Feed { Source="Closet Cooking", Content="Diced Caprese Salad The local field tomatoes finally made their appearance at the farmers market this weekend and I immediately picked some up.  With the fresh ripe tomatoes in hand the first thing on my mind was a caprese salad  A caprese salad or insalata caprese is a salad consisting of tomatoes buffalo mozzarella and basil.  Because this salad is so simple you want to use the best ingredients possible including perfectly ripened field tomatoes.  Every year I look forward to tomato season when I can enjoy fresh caprese salads and I never tire of coming up with new ways to enjoy them.  This time I diced both the tomatoes and the mozzarella and used my mini spring form pan to construct a layered stack.  For the basil component of the salad I topped the tower with a dollop of freshly made basil pesto and garnished the plate with drops of basil olive oil.  (I made the basil oil by pureeing some basil in the olive oil and then straining it.)Diced Caprese Salad(makes 2 servings)Printable RecipeIngredients2 large ripe field tomatoes (diced)1 large ball fresh mozzarella (diced)salt and pepper to taste2 tablespoons basil pestoDirections1. Divide the tomatoes and mozzarella in two and form stacks on two plates alternating the tomatoes and mozzarella seasoning with salt and pepper as you go using a ring.2. Top each stack with basil pesto and enjoySimilar RecipesCaprese SaladDiced Caprese Salad with a Pesto DressingCaprese SandwichMango Caprese Salad" },
				new Feed { Source="Closet Cooking", Content="Sweet Chilli Sauce After I decided to serve some sweet chili sauce with my Thai style corn fritters I checked my fridge and found that I was running low on it.  I was just about to add it to my grocery list when I though I wonder if I could make this at home  A quick search of the web turned up this recipe for a sweet chilli sauce that I found on She Simmers.  I certainly am glad that I took the time to look up the recipe and make it myself  Not only was it super easy to make but it was much better than any store bought variety that I have ever tried.  The recipe is pretty simple with what you would expect to find in it including some chilies garlic sugar vinegar and a bit of corn starch to thicken it up.  I could not find either the red jalapeos or the red serrano chilies so I went with some long pointed hot red chilies that I could find and a few birds eye chilies to ensure that the heat level was up there.  I also left the seed in for the extra heat and visual appearance.  You should tailor the variety of chili and number based on your tolerance for heat or your addiction to it. )Sweet Chilli Sauce(makes 1 cup)Printable RecipeIngredients2 red chilies2 birds eye chilies2 cloves garlic34 cup water14 cup rice wine or white vinegar12 cup sugar12 tablespoon salt1 tablespoon cornstarch2 tablespoons waterDirections1. Puree the chilies and garlic in a food processor.2. Bring the water vinegar sugar salt chilies and garlic to a boil and simmer for the chilies and garlic begin to get tender about 3 minutes.3. Mix the cornstarch into the water mix it into the sauce and heat until the sauce thickens about a minute.4. Let cool and enjoy.Use inCoconut ShrimpSingapore Chili PrawnsThai Lemon ShrimpSimilar RecipesSpicy Peanut Sauce" },
				new Feed { Source="Closet Cooking", Content="Thai Style Corn Fritters with Sweet Chilli Sauce Last weekend there was a corn roast at the farmers market signalling the beginning of the local corn season.  With the amazing aroma of roasting corn and melted butter everywhere I could not resist coming come with an arm load of corn.  One of my favorites ways to enjoy corn is to just have it on the cob with melted butter and a touch of salt but it was clear that I was not going to be able to make it through all of the corn in time so I needed to use it in a recipe to help finish it up.  Luckily I had a list of things that I wanted to do with corn and I had just been waiting for it to arrive.  On top of that list was some Thai inspired corn fritters flavoured with homemade curry paste along with some green onions cilantro lime juice and fish sauce.  I immediately though of serving the fritters covered in a spicy peanut sauce but with the heat I wanted something a little lighter and a Thai sweet chili sauce sounded like it would be perfect.  one of the things that I like most about these corn fritters in addition to having an amazing flavour is how some of the kernels on the outside start to get a little crispy taking on the texture of those partially popped kernels of corn in popcorn which is really nice.  What a great way to usher in the start of corn seasonThai Style Corn Fritters with Sweet Chilli Sauce(makes 2 servings)Printable RecipeIngredients2 cups corn14 cup cornmeal14 cup flour1 egg1 tablespoon green curry paste (or red curry paste)1 green onion (chopped)1 handful cilantro (chopped)1 birds eye chili (thinly sliced)1 tablespoon fish sauce1 tablespoon lime juice2 tablespoons oil14 cup sweet chili sauceDirections1. Mix the corn corn meal flour egg curry paste green onion cilantro chili fish sauce and lime juice in a bowl.2. Heat the oil in a pan.3. Spoon the corn mixture into the pan to form patties and cook until golden brown on both sides about 2-4 minutes per side.4. Serve with sweet chili sauce.Similar RecipesCorn FrittersThai Curried Zucchini Fritters with Spicy Peanut SauceSpinach and Feta FrittersNtomatokeftedes (Greek Tomato and Feta Fritters)" },
				new Feed { Source="Closet Cooking", Content="BBQ Pulled Pork Sandwich Barbecue pulled pork sandwiches just seem to scream summer to me but I always dreaded the thought of having the oven on all day when it was already so hot out.  That all changed when I picked up a slow cooker as not only does it not radiate a lot of heat but it also produces perfectly tender pork every time.  I had been craving some of that sweet spicy moist and tender bbq pulled pork for a few days so I dusted off my slow cooker and started to cook up some pork.  This recipe is dead easy where you  simply cook the pork in the slow cooker pull it and mix some bbq sauce into it.  You could make it even easier by using your favorite store bought brand of bbq sauce but making your own is pretty easy and you get to make it just how you want it.  This time I threw some chipotle chilies in adobo sauce into the bbq sauce both as the primary source of heat to add some smokiness.  It just wouldnt be a bbq pulled pork sandwich without a generous helping of coleslaw thrown in and once again I went with the make your own option.  I served the pulled pork sandwiches with a side of crispy sweet potato fries.BBQ Pulled Pork Sandwich with Slaw(makes 4 servings)Printable RecipeIngredients1 (3 pound) pork butt1 cup bbq sauce4 buns2 cups coleslawDirections1. Put the pork in the slow cooker pour 12 cup of the bbq sauce over it and cook on low heat for 8 hours.2. Remove the pork from the slow cooker and let cool.3. Meanwhile skim the fat from the juices place the juices in a sauce pan and simmer to reduce.4. Mix as much of the juices as you want into the remaining bbq sauce.5. When the pork is cool enough to work with shred it with a pair of forks.6. Mix the pulled pork bbq sauce.7. Assemble sandwiches and enjoy.Similar RecipesBBQ Roast Beef and Cheddar SandwichBBQ Chicken with Blue Cheese Slaw WrapsKorean BBQ Pulled Pork SandwichSalsa Verde Pulled Chicken Sandwich" },
				new Feed { Source="Closet Cooking", Content="Blueberry Maple Pecan Cinnamon Buns The farmers market was absolutely overflowing with cheap local blueberries this weekend and I picked up a lot of them.  Although I will finish a lot of them off for breakfast on plain yogurt with a touch of maple syrup I wanted to do something with them and I knew exactly what.  I had been wanting to try doing a cinnamon bun stuffed with fruit or berries and I had originally planned on trying it with strawberries but they disappeared just before I got the chance and a blueberry version now sounded even better.  The idea was basically to make cinnamon buns and where you add blueberries to the cinnamon layer before rolling them up.  I figured that wild blueberries would be perfect for these cinnamon buns as they were smaller and rolling them up would be easier.  I could have just gone with that but I kept thinking about how much I like the blueberry and maple flavour combination and so I decided to replace the sugar in the cinnamon layer with maple sugar and I then mixed some maple syrup into the cream cheese glaze.  While I was adding things I could not resist also adding some chopped pecans which also pair well with blueberries.The blueberry maple pecan cinnamon buns turned out so amazingly well  I really liked how the blueberries in the cinnamon layer baked up in the buns with many of them bursting and spreading their blueberry goodness even further.  The blueberry maple pecan flavour combination was definitely a winner and it went perfectly in the light and fluffy buns.  You can bake the cinnamon buns in several different ways to get different results.  You can either leave them with lots of room to spread out when they bake or you can pack they in tightly next to each other to get thicker buns.  I baked most of mine in a spring form pan and I put the extras in ramekins and the ones that were baked in the ramekins were my favourites by far.Blueberry Maple Pecan Cinnamon Buns(makes 12 buns)Printable RecipeIngredients1 recipe basic sweet yeast dough (see below)12 cups maple sugar (or white or brown)2 teaspoons cinnamon1 cup wild blueberries12 cup pecans (toasted and chopped)1 batch maple cream cheese glaze (see below)Directions1. Punch down the dough. and knead for 30 seconds.2. Cover the dough and let it rest for 10 minutes.3. Roll out the dough on a floured surface into a 24 by 12 rectangle.4. Mix the sugar and the cinnamon and sprinkle it onto the dough followed by the blueberries and pecans.5. Roll the dough into a log and pinch and cut it into 12 even slices.6. Arrange the buns in a greased pan cover in plastic wrap and let rise until doubled in size about 1 hour and 30 minutes.7. Bake in a 375F preheated oven until golden brown about 15-20 minutes.8. Top the buns with the glaze and enjoy.Basic Sweet Yeast DoughIngredients14 cup water (warm)1 tablespoon active dry yeast1 teaspoon sugar13 cup sugar2 eggs (room temperature)13 cup butter (melted)12 cup sour cream (room temperature)1 teaspoon vanilla extract1 teaspoon salt3 14 cups flourDirections1. Mix the water yeast and sugar into a large bowl and let it sit until foamy about 10 minutes.2. Add the sugar eggs butter sour cream vanilla salt and 2 cups of flour and mix for 2 minutes at medium or 200 strokes by hand.3. Stir in enough of the remaining flour to make a soft dough.4. Place the dough onto a lightly floured surface and knead the dough until smooth about 5 minutes. (The dough should feel soft and buttery and not sticky.)5. Place the dough in a greased the bowl cover with a damp towel and let the dough rise until it has doubled in size about 1 hour and 30 minutes.Maple Cream Cheese GlazeIngredients4 ounces cream cheese14 cup maple syrup (or to taste)Directions1. Beat the maple syrup into the cream cheese until it reaches hte desired consistency.Similar RecipesBlueberry Zucchini BreadBlueberry BuckleBlueberry Crumb CoffeecakeBlueberry Maple Oatmeal Muffins with Pecan Streusel" },
				new Feed { Source="Closet Cooking", Content="Sundried Tomato Pesto Grilled Cheese Sandwich I had some sun dried tomato pesto left over from the zucchini and sun dried tomato pesto parmesan tart and I figured that it would be just enough to use in a grilled cheese sandwich.  Not too long ago I ended up with some leftover spinach pesto and I had been experimenting with grilled cheese sandwiches at the time and naturally the spinach pesto grilled cheese sandwich was born.  I really liked the way the pesto worked in a grilled cheese sandwich and I had just been itching to try it again so I knew exactly what I wanted to do with the tasty left over sun dried tomato pesto.Although the basic grilled cheese sandwich is pretty simple there are endless ways to make them more exciting from simply changing up the cheese to adding extra flavours.  With the primary ingredient of this sandwich being the sun dried tomato pesto I was thinking tomatoes and for a cheese the natural choice seemed to be mozzarella.  With the tomatoes and mozzarella on my mind I started thinking about caprese salads and as luck would have it I also had some fresh basil left over from the tart and with that my sandwich was finished.  Once again I was throughly impressed by how amazingly well the pesto worked in a grilled cheese sandwich  The sun dried tomato pesto just packed the sandwich full of flavour and the basil brought a hint of freshness.  The melted cheese brought everything together and the toasted buttery golden brown bread finished things off perfectly.Sundried Tomato Pesto Grilled Cheese Sandwich(makes 1 sandwich)Printable RecipeIngredients3 tablespoons sundried tomato pesto1 slice mozzarella cheese1 handful basil leaves2 slices bread1 tablespoon butterDirections1. Assemble sandwich and grill until the cheese has melted and the bread is golden brown on both sides about 2-4 minutes per side.Similar RecipesSpinach Pesto Grilled Cheese SandwichZucchini and Sun Dried Tomato Pesto Parmesan TartChicken and Roasted Red Pepper Panini with Cilantro Pesto and FetaOven Dried Tomato Pesto on Calabresi" },
				new Feed { Source="Closet Cooking", Content="Zucchini and Sun Dried Tomato Pesto Parmesan Tart A little over a year ago I made the asparagus and gruyere tart for the first time and I was immediately hooked not only to that particular tart but the whole style of tarts.  These simple premade pastry tarts are so easy to make and they always taste great  You pretty much just roll out some puff pastry or oil up a few sheets of phyllo dough and then top it off rather like a pizza with sauces cheeses and vegetables.  Despite the fact that the topping options are near endless I have been enjoying highlighting a single in season vegetable like asparagus tomatoes or zucchini.  One of my favorites so far has been a zucchini and feta ricotta tart so when I came across a zucchini and sun dried tomato pesto parmesan tart on Cook Sister it made it to my meal plan as soon as the local zucchini was inIn my opinion you really cant go wrong with a flavour packed sun dried tomato pesto so I already knew that this tart was going to be a winner.  Knowing that the sun dried tomato pesto was going to be key to this dish I set about making my own and homemade pesto is actually rather easy.  Although you could mash everything up in a mortar and pestle as is traditional it is much easier to just throw the ingredients into a food processor and puree them.  One of the things that I like so much about making you own pesto is that you can experiment and change up the flavours each time by using different nuts cheeses or even adding new things like say a splash of balsamic vinegar.  With tomato season just around the corner you could even make you own oven dried tomatoes for use in this pesto.Zucchini and Sun Dried Tomato Pesto Parmesan Tart(makes 4 servings)Printable RecipeIngredients1 sheet puff pastry (thawed according to the packages directions)12 cup sundried tomato pesto12 cup parmigiano regginao (grated)1 handful basil (torn)1 large zucchini (thinly sliced)salt and pepper to taste1 tablespoon olive oilDirections1. Roll the puff pastry out to a 16x10 inch rectangle.2. Score a line around the puff pastry 12 inch from the edge.3. Spread the pesto over the center of the dough and top with the parmigiano reggiano and basil.4. Arrange the zucchini slices in a single layer on top of the pesto and season with salt and pepper.5. Brush the outside inch of the pastry with the oil.6. Bake in a preheated 400F oven until the zucchini is tender and the pastry is golden brown about 15-25 minutes.Similar RecipesTomato and Basil Pesto Parmesan TartZucchini and Feta Ricotta TartTomato Phyllo TartMushroom and Caramelized Onion TartAsparagus and Gruyere Tart" }
            };
        }
    }
}
